import { Observable } from 'rxjs';
import { DrawerLayoutVariantType } from '../..';
export declare class DrawerState {
    private drawerOpen;
    private disableActiveItemParentStyles;
    private variant;
    private navItemCount;
    private tempOpen;
    private isCondensed;
    private sideBorder;
    private disableRailTooltip;
    private openOnHover;
    private readonly drawerOpenObs;
    private readonly drawerSelectObs;
    private readonly drawerActiveItemChangeObs;
    private readonly drawerNewNavItemInit;
    hasSideBorder(): boolean;
    setSideBorder(sideBorder: boolean): void;
    isOpenOnHover(): boolean;
    setOpenOnHover(openOnHover: boolean): void;
    setDisableActiveItemParentStyles(disableActiveItemParentStyles: boolean): void;
    hasDisableActiveItemParentStyles(): boolean;
    setDrawerTempOpen(open: boolean): void;
    setIsCondensed(condensed: boolean): void;
    setDrawerOpen(drawerOpen: boolean): void;
    setDisableRailTooltip(disableRailTooltip: boolean): void;
    isDisableRailTooltip(): boolean;
    setDrawerVariant(variant: DrawerLayoutVariantType): void;
    getDrawerVariant(): DrawerLayoutVariantType;
    isDrawerOpen(): boolean;
    isTempOpen(): boolean;
    isRailCondensed(): boolean;
    drawerOpenChanges(): Observable<boolean>;
    select(hasChildren: boolean): void;
    drawerSelectionChanges(): Observable<boolean>;
    emitChangeActiveItemEvent(): void;
    drawerActiveItemChanges(): Observable<void>;
    drawerNewNavItemCreated(): Observable<void>;
    emitNewNavItemCreated(): void;
    /** Each nav item has a unique id which is used to determine which item is selected. */
    createNavItemID(): number;
}
