import * as i0 from '@angular/core';
import { Component, Input, HostBinding, NgModule, EventEmitter, ChangeDetectionStrategy, ViewEncapsulation, Output, Injectable, Directive, ViewChild, ContentChildren, ContentChild, TemplateRef } from '@angular/core';
import { fromEvent, interval, Subject, Subscription } from 'rxjs';
import { throttle, map, startWith } from 'rxjs/operators';
import '@angular/compiler';
import * as i1 from '@angular/material/toolbar';
import { MatToolbarModule } from '@angular/material/toolbar';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2$1 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i8 from '@angular/material/expansion';
import { MatExpansionModule } from '@angular/material/expansion';
import * as i2$2 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import * as i4 from '@angular/material/list';
import { MatListModule } from '@angular/material/list';
import * as i5 from '@angular/material/core';
import { MatRippleModule } from '@angular/material/core';
import * as i3 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i2$3 from '@angular/cdk/bidi';
import * as i3$1 from '@angular/material/sidenav';
import { MatSidenavModule } from '@angular/material/sidenav';
import * as i2$4 from '@angular/material/card';
import { MatCardModule } from '@angular/material/card';
import * as i3$2 from '@angular/cdk/overlay';
import { ConnectionPositionPair, OverlayModule } from '@angular/cdk/overlay';
import { trigger, state, style, transition, animate } from '@angular/animations';
import * as i1$1 from '@angular/material/bottom-sheet';
import { MatBottomSheetModule } from '@angular/material/bottom-sheet';
import * as i2$5 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatButtonModule } from '@angular/material/button';
import * as i2$6 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import { MatSelectModule } from '@angular/material/select';
import { MatFormFieldModule } from '@angular/material/form-field';

/**
 * [Spacer Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-spacer--readme)
 *
 * An invisible utility component that acts as a spacer element in various layouts.
 * It works with flexbox sizing or fixed sizing.
 */
class SpacerComponent {
    constructor() {
        /** Flex grow/shrink value for use in flex layouts
         *
         * @default 1
         * */
        this.flex = 1;
        this.display = 'flex';
    }
    ngOnInit() {
        this.calcGrow();
    }
    ngOnChanges() {
        this.calcGrow();
    }
    calcGrow() {
        this.grow = undefined;
        if (!this.height && !this.width) {
            this.grow = `${this.flex} ${this.flex} ${this.flex === 0 ? 'auto' : '0px'}`;
        }
    }
}
SpacerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: SpacerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
SpacerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: SpacerComponent, selector: "blui-spacer", inputs: { flex: "flex", height: "height", width: "width" }, host: { properties: { "style.height.px": "this.height", "style.width.px": "this.width", "style.flex": "this.grow", "style.display": "this.display" } }, usesOnChanges: true, ngImport: i0, template: ` <ng-content></ng-content> `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: SpacerComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-spacer',
                    template: ` <ng-content></ng-content> `,
                }]
        }], propDecorators: { flex: [{
                type: Input
            }], height: [{
                type: HostBinding,
                args: ['style.height.px']
            }, {
                type: Input
            }], width: [{
                type: HostBinding,
                args: ['style.width.px']
            }, {
                type: Input
            }], grow: [{
                type: HostBinding,
                args: ['style.flex']
            }], display: [{
                type: HostBinding,
                args: ['style.display']
            }] } });
class SpacerModule {
}
SpacerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: SpacerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SpacerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: SpacerModule, declarations: [SpacerComponent], exports: [SpacerComponent] });
SpacerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: SpacerModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: SpacerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [SpacerComponent],
                    exports: [SpacerComponent],
                }]
        }] });

/**
 * [AppBar Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-app-bar--readme)
 *
 * The `<blui-app-bar>` component is a wrapper around the `<mat-toolbar>` that can be resized as the page is scrolled.
 * It supports three variants: `snap`, `collapsed`, and `expanded`.
 * */
class AppBarComponent {
    constructor(_ref) {
        this._ref = _ref;
        /** Color variant which is passed to the `<mat-toolbar>`
         *
         * @default primary
         * */
        this.color = 'primary';
        /** Height (pixels) of the AppBar when expanded
         *
         * @default 200
         * */
        this.expandedHeight = 200;
        /** Behavior of the App Bar
         *
         *  `collapsed` - Height set to `collapsedHeight` and does not respond to scroll distance
         *
         *  `expanded` -  Height set to `expandedHeight` and does not respond to scroll distance
         *
         *  `snap` - Variant that responds to scroll distance and switches between the `collapsed` and `expanded` variant.
         *
         *  @default collapsed
         *
         * */
        this.variant = 'collapsed';
        /** Event emitter for when the appbar opens or closes.  Emits a boolean that indicates whether the AppBar is expanded. */
        this.collapsedChange = new EventEmitter();
        this.isCollapsed = false;
        this.isWindow = false;
        this.useDefaultCollapsedHeight = true;
        this.viewInit = false;
        this.contentSize = 0;
    }
    ngOnInit() {
        if (!this.scrollThreshold) {
            this.scrollThreshold = this.expandedHeight - (this.collapsedHeight || 64);
        }
    }
    ngOnChanges(changes) {
        if (changes.variant) {
            this._resizeOnModeChange();
        }
        this.useDefaultCollapsedHeight = isNaN(this.collapsedHeight) || this.collapsedHeight === 0;
        this.expandedHeight = Number(this.expandedHeight);
        this.collapsedHeight = Number(this.collapsedHeight);
        if (changes.scrollContainerClassName || changes.scrollContainerId || changes.scrollContainerElement) {
            this._listenForScrollEvents();
        }
        this._ref.detectChanges();
    }
    ngAfterViewInit() {
        this._listenForScrollEvents();
        setTimeout(() => {
            // Used to listen for content rendered in ng-template.
            if (!this.scrollEl) {
                this._listenForScrollEvents();
            }
        });
    }
    ngOnDestroy() {
        this._stopListeningForScrollEvents();
    }
    _stopListeningForScrollEvents() {
        if (this.scrollListener) {
            this.scrollListener.unsubscribe();
        }
        if (this.resizeListener) {
            this.resizeListener.unsubscribe();
        }
    }
    calcCurrentToolbarHeight() {
        if (!this.isCollapsed) {
            return `${this.expandedHeight}px`;
        }
        else if (!this.useDefaultCollapsedHeight) {
            return `${this.collapsedHeight}px`;
        }
        return `${this._calcDefaultCollapsedHeight()}rem`;
    }
    _listenForScrollEvents() {
        this._setScrollEl();
        this._resizeOnModeChange();
        this._stopListeningForScrollEvents();
        this.viewInit = true;
        if (this.scrollEl) {
            this.scrollListener = fromEvent(this.scrollEl, 'scroll')
                .pipe(throttle(() => interval(10)))
                .subscribe(() => {
                this._resizeEl();
            });
            this.resizeListener = fromEvent(window, 'resize')
                .pipe(throttle(() => interval(10)))
                .subscribe(() => {
                this._resizeEl();
            });
        }
    }
    _resizeOnModeChange() {
        if (this.variant !== 'snap') {
            return this._handleLockedModes();
        }
        else if (this.scrollEl) {
            this._resizeEl();
        }
    }
    _handleLockedModes() {
        if (this.variant === 'collapsed') {
            this._setCollapsed(true);
            this._ref.detectChanges();
            return;
        }
        if (this.variant === 'expanded') {
            this._setCollapsed(false);
            this._ref.detectChanges();
            return;
        }
    }
    _setCollapsed(collapsed) {
        this.isCollapsed = collapsed;
        this.collapsedChange.emit(collapsed);
    }
    _resizeEl() {
        if (this.isAnimating) {
            return;
        }
        if (this.variant !== 'snap') {
            return this._handleLockedModes();
        }
        const scrollDistance = this.isWindow ? document.scrollingElement.scrollTop : this.scrollEl.scrollTop;
        if (this.isCollapsed && scrollDistance <= 0) {
            this._setCollapsed(false);
            this._ref.detectChanges();
        }
        else if (scrollDistance > this.scrollThreshold && !this.isCollapsed) {
            this._setCollapsed(true);
            this.isAnimating = true;
            this._ref.detectChanges();
            setTimeout(() => {
                const currScrollDistance = this.isWindow
                    ? document.scrollingElement.scrollTop
                    : this.scrollEl.scrollTop;
                if (currScrollDistance <= 0) {
                    if (this.isWindow) {
                        window.scrollBy(0, 1);
                    }
                    else {
                        this.scrollEl.scrollTop = 1;
                    }
                }
                this.isAnimating = false;
            }, 300);
        }
    }
    _setScrollEl() {
        if (this.scrollContainerElement) {
            this.scrollEl = this.scrollContainerElement;
        }
        else if (this.scrollContainerId) {
            this.scrollEl = document.getElementById(this.scrollContainerId);
        }
        else if (this.scrollContainerClassName) {
            this.scrollEl = document.getElementsByClassName(this.scrollContainerClassName.name)[this.scrollContainerClassName.index];
        }
        else {
            this.scrollEl = window;
            this.isWindow = true;
        }
    }
    _calcDefaultCollapsedHeight() {
        return document.documentElement.clientWidth <= 600 ? 3.5 : 4;
    }
}
AppBarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: AppBarComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
AppBarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: AppBarComponent, selector: "blui-app-bar", inputs: { collapsedHeight: "collapsedHeight", color: "color", expandedHeight: "expandedHeight", scrollContainerElement: "scrollContainerElement", scrollContainerClassName: "scrollContainerClassName", scrollContainerId: "scrollContainerId", scrollThreshold: "scrollThreshold", variant: "variant" }, outputs: { collapsedChange: "collapsedChange" }, host: { classAttribute: "blui-app-bar mat-elevation-z4" }, usesOnChanges: true, ngImport: i0, template: `
        <mat-toolbar
            [color]="color"
            class="blui-app-bar-content"
            [class.blui-app-bar-collapsed]="isCollapsed"
            [class.blui-app-bar-expanded]="!isCollapsed"
            [class.blui-app-bar-view-init]="viewInit"
            [style.height]="calcCurrentToolbarHeight()"
        >
            <mat-toolbar-row>
                <div class="blui-app-bar-background"></div>
                <ng-content select="[blui-icon]"></ng-content>
                <div class="blui-app-bar-body-wrapper">
                    <ng-content></ng-content>
                </div>
                <blui-spacer></blui-spacer>
                <ng-content select="[blui-actions]"></ng-content>
            </mat-toolbar-row>
        </mat-toolbar>
    `, isInline: true, styles: [".blui-app-bar{display:flex;position:sticky;position:-webkit-sticky;top:0;z-index:1000}.blui-app-bar-content{min-height:unset;transition:all .3s,color 0s,background-color 0s;overflow:hidden}.blui-app-bar-content *{z-index:2}.blui-app-bar-collapsed .blui-app-bar-body-wrapper>*{top:0}.blui-app-bar-body-wrapper>*{position:relative}.blui-app-bar-view-init .blui-app-bar-body-wrapper>*{transition:all .3s,color 0s,background-color 0s}.blui-app-bar-content:not(.blui-app-bar-view-init) .blui-app-bar-body-wrapper *{transition:none}.blui-app-bar-background{z-index:1;position:absolute;opacity:.3;background-position:center;background-size:cover;pointer-events:none;inset:0;transition:all .3s,color 0s,background-color 0s}.blui-app-bar-collapsed .blui-app-bar-background{opacity:0}.blui-app-bar-collapsed .blui-three-liner-title{font-size:1.25rem}.blui-app-bar-collapsed .blui-three-liner-subtitle{font-size:0px}.blui-app-bar-collapsed .blui-three-liner-info{margin-top:-.5rem;font-size:1rem;font-weight:400}\n"], dependencies: [{ kind: "component", type: i1.MatToolbar, selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }, { kind: "directive", type: i1.MatToolbarRow, selector: "mat-toolbar-row", exportAs: ["matToolbarRow"] }, { kind: "component", type: SpacerComponent, selector: "blui-spacer", inputs: ["flex", "height", "width"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: AppBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-app-bar', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        class: 'blui-app-bar mat-elevation-z4',
                    }, template: `
        <mat-toolbar
            [color]="color"
            class="blui-app-bar-content"
            [class.blui-app-bar-collapsed]="isCollapsed"
            [class.blui-app-bar-expanded]="!isCollapsed"
            [class.blui-app-bar-view-init]="viewInit"
            [style.height]="calcCurrentToolbarHeight()"
        >
            <mat-toolbar-row>
                <div class="blui-app-bar-background"></div>
                <ng-content select="[blui-icon]"></ng-content>
                <div class="blui-app-bar-body-wrapper">
                    <ng-content></ng-content>
                </div>
                <blui-spacer></blui-spacer>
                <ng-content select="[blui-actions]"></ng-content>
            </mat-toolbar-row>
        </mat-toolbar>
    `, styles: [".blui-app-bar{display:flex;position:sticky;position:-webkit-sticky;top:0;z-index:1000}.blui-app-bar-content{min-height:unset;transition:all .3s,color 0s,background-color 0s;overflow:hidden}.blui-app-bar-content *{z-index:2}.blui-app-bar-collapsed .blui-app-bar-body-wrapper>*{top:0}.blui-app-bar-body-wrapper>*{position:relative}.blui-app-bar-view-init .blui-app-bar-body-wrapper>*{transition:all .3s,color 0s,background-color 0s}.blui-app-bar-content:not(.blui-app-bar-view-init) .blui-app-bar-body-wrapper *{transition:none}.blui-app-bar-background{z-index:1;position:absolute;opacity:.3;background-position:center;background-size:cover;pointer-events:none;inset:0;transition:all .3s,color 0s,background-color 0s}.blui-app-bar-collapsed .blui-app-bar-background{opacity:0}.blui-app-bar-collapsed .blui-three-liner-title{font-size:1.25rem}.blui-app-bar-collapsed .blui-three-liner-subtitle{font-size:0px}.blui-app-bar-collapsed .blui-three-liner-info{margin-top:-.5rem;font-size:1rem;font-weight:400}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { collapsedHeight: [{
                type: Input
            }], color: [{
                type: Input
            }], expandedHeight: [{
                type: Input
            }], scrollContainerElement: [{
                type: Input
            }], scrollContainerClassName: [{
                type: Input
            }], scrollContainerId: [{
                type: Input
            }], scrollThreshold: [{
                type: Input
            }], variant: [{
                type: Input
            }], collapsedChange: [{
                type: Output
            }] } });

class AppBarModule {
}
AppBarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: AppBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
AppBarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: AppBarModule, declarations: [AppBarComponent], imports: [CommonModule, MatToolbarModule, SpacerModule, MatIconModule], exports: [AppBarComponent] });
AppBarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: AppBarModule, imports: [CommonModule, MatToolbarModule, SpacerModule, MatIconModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: AppBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [AppBarComponent],
                    imports: [CommonModule, MatToolbarModule, SpacerModule, MatIconModule],
                    exports: [AppBarComponent],
                }]
        }] });

function requireInput(inputs, component) {
    inputs.forEach((input) => {
        if (component[input] === undefined || component[input] === null || component[input] === '') {
            const name = component.constructor.name;
            // eslint-disable-next-line no-console
            console.warn(`Brightlayer UI ${name} error: Property "${input}" is required.`);
        }
    });
}
function requireContent(contentPairs, component) {
    contentPairs.forEach((contentPair) => {
        if (!contentPair.ref.nativeElement.children || contentPair.ref.nativeElement.children.length === 0) {
            const name = component.constructor.name;
            // eslint-disable-next-line no-console
            console.warn(`Brightlayer UI ${name} error: Selector "${contentPair.selector}" is required.`);
        }
    });
}
function hasChildren(el) {
    return el.nativeElement.children && el.nativeElement.children.length > 0;
}
function isEmptyView(el) {
    if (!el || !el.nativeElement) {
        return true;
    }
    return !hasChildren(el);
}

/** [ChannelValue Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-channel-value--readme)
 *
 * Displays a value/unit combination.
 * These are used as part of the HeroComponent but can also be used inline.
 * */
class ChannelValueComponent {
    constructor() {
        /** If true, shows units before the value
         *
         * @default false
         * */
        this.prefix = false;
        /** Show a space between the value and units. Can be `show` | `hide` | `auto`
         *
         * `show` - Show a space between the value and units.
         *
         * `hide` - Hide a space between the value and units.
         *
         * `auto` - Shows space except for white list items.
         *
         * prefixUnitWhitelist: ['$']
         *
         * suffixUnitWhitelist: ['%', '℉','°F','℃','°C','°']
         *
         * @default auto;
         * */
        this.unitSpace = 'auto';
        this.prefixUnitWhitelist = ['$'];
        this.suffixUnitWhitelist = ['%', '℉', '°F', '℃', '°C', '°'];
        this.isWhiteListedUnit = false;
    }
    ngOnChanges() {
        requireInput(['value'], this);
        this.isWhiteListedUnit = this.prefix
            ? this.prefixUnitWhitelist.includes(this.units)
            : this.suffixUnitWhitelist.includes(this.units);
    }
    getValueAsString() {
        return String(this.value);
    }
}
ChannelValueComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ChannelValueComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: ChannelValueComponent, selector: "blui-channel-value", inputs: { prefix: "prefix", units: "units", value: "value", color: "color", unitSpace: "unitSpace" }, host: { classAttribute: "blui-channel-value" }, usesOnChanges: true, ngImport: i0, template: `
        <span class="blui-channel-value-content" [style.color]="color">
            <span class="blui-channel-value-icon-wrapper">
                <ng-content></ng-content>
            </span>
            <div
                *ngIf="units && prefix"
                class="blui-channel-value-units"
                [class.blui-channel-value-units-prefix]="!isWhiteListedUnit || unitSpace === 'show'"
            >
                {{ units }}
            </div>
            <div
                *ngIf="getValueAsString()"
                class="blui-channel-value-value"
                [class.blui-channel-value-remove-space]="unitSpace === 'hide'"
            >
                {{ getValueAsString() }}
            </div>
            <div
                *ngIf="units && !prefix"
                class="blui-channel-value-units"
                [class.blui-channel-value-units-suffix]="!isWhiteListedUnit || unitSpace === 'show'"
            >
                {{ units }}
            </div>
        </span>
    `, isInline: true, styles: ["[dir=rtl] .blui-channel-value-content .blui-channel-value-icon-wrapper{margin-right:0;margin-left:.35em}[dir=rtl] .blui-channel-value-content .blui-channel-value-value+.blui-channel-value-units-suffix{margin-left:0;margin-right:.25em}[dir=rtl] .blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value{margin-left:0;margin-right:.25em}[dir=rtl] .blui-channel-value-content .blui-channel-value-value.blui-channel-value-remove-space+.blui-channel-value-units-suffix{margin-left:0;margin-right:0}[dir=rtl] .blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value.blui-channel-value-remove-space{margin-left:0;margin-right:0}.blui-channel-value{display:inline-flex}.blui-channel-value-content{display:inline-flex;align-items:center;line-height:1.2;font-size:inherit;letter-spacing:0;margin:0}.blui-channel-value-content .blui-channel-value-units{font-weight:300}.blui-channel-value-content .blui-channel-value-value{font-weight:600}.blui-channel-value-content .blui-channel-value-value+.blui-channel-value-units-suffix{margin-left:.25em}.blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value{margin-left:.25em}.blui-channel-value-content .blui-channel-value-value.blui-channel-value-remove-space+.blui-channel-value-units-suffix{margin-left:0}.blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value.blui-channel-value-remove-space{margin-left:0}.blui-channel-value-content .blui-channel-value-icon-wrapper{font-size:inherit;display:block;margin-right:.35em}.blui-channel-value-content .blui-channel-value-icon-wrapper:empty{display:none}.blui-channel-value-content .blui-channel-value-icon-wrapper *{display:block;width:100%;height:100%;font-size:100%;line-height:1.2}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-channel-value', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <span class="blui-channel-value-content" [style.color]="color">
            <span class="blui-channel-value-icon-wrapper">
                <ng-content></ng-content>
            </span>
            <div
                *ngIf="units && prefix"
                class="blui-channel-value-units"
                [class.blui-channel-value-units-prefix]="!isWhiteListedUnit || unitSpace === 'show'"
            >
                {{ units }}
            </div>
            <div
                *ngIf="getValueAsString()"
                class="blui-channel-value-value"
                [class.blui-channel-value-remove-space]="unitSpace === 'hide'"
            >
                {{ getValueAsString() }}
            </div>
            <div
                *ngIf="units && !prefix"
                class="blui-channel-value-units"
                [class.blui-channel-value-units-suffix]="!isWhiteListedUnit || unitSpace === 'show'"
            >
                {{ units }}
            </div>
        </span>
    `, host: {
                        class: 'blui-channel-value',
                    }, styles: ["[dir=rtl] .blui-channel-value-content .blui-channel-value-icon-wrapper{margin-right:0;margin-left:.35em}[dir=rtl] .blui-channel-value-content .blui-channel-value-value+.blui-channel-value-units-suffix{margin-left:0;margin-right:.25em}[dir=rtl] .blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value{margin-left:0;margin-right:.25em}[dir=rtl] .blui-channel-value-content .blui-channel-value-value.blui-channel-value-remove-space+.blui-channel-value-units-suffix{margin-left:0;margin-right:0}[dir=rtl] .blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value.blui-channel-value-remove-space{margin-left:0;margin-right:0}.blui-channel-value{display:inline-flex}.blui-channel-value-content{display:inline-flex;align-items:center;line-height:1.2;font-size:inherit;letter-spacing:0;margin:0}.blui-channel-value-content .blui-channel-value-units{font-weight:300}.blui-channel-value-content .blui-channel-value-value{font-weight:600}.blui-channel-value-content .blui-channel-value-value+.blui-channel-value-units-suffix{margin-left:.25em}.blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value{margin-left:.25em}.blui-channel-value-content .blui-channel-value-value.blui-channel-value-remove-space+.blui-channel-value-units-suffix{margin-left:0}.blui-channel-value-content .blui-channel-value-units-prefix+.blui-channel-value-value.blui-channel-value-remove-space{margin-left:0}.blui-channel-value-content .blui-channel-value-icon-wrapper{font-size:inherit;display:block;margin-right:.35em}.blui-channel-value-content .blui-channel-value-icon-wrapper:empty{display:none}.blui-channel-value-content .blui-channel-value-icon-wrapper *{display:block;width:100%;height:100%;font-size:100%;line-height:1.2}\n"] }]
        }], propDecorators: { prefix: [{
                type: Input
            }], units: [{
                type: Input
            }], value: [{
                type: Input
            }], color: [{
                type: Input
            }], unitSpace: [{
                type: Input
            }] } });

class ChannelValueModule {
}
ChannelValueModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ChannelValueModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueModule, declarations: [ChannelValueComponent], imports: [CommonModule], exports: [ChannelValueComponent] });
ChannelValueModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ChannelValueModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ChannelValueComponent],
                    imports: [CommonModule],
                    exports: [ChannelValueComponent],
                }]
        }] });

/*
 * Public API Surface of channel-value
 */

class DrawerState {
    constructor() {
        this.navItemCount = 0;
        this.tempOpen = false;
        this.drawerOpenObs = new Subject();
        this.drawerSelectObs = new Subject();
        this.drawerActiveItemChangeObs = new Subject();
        this.drawerNewNavItemInit = new Subject();
    }
    hasSideBorder() {
        return this.sideBorder;
    }
    setSideBorder(sideBorder) {
        this.sideBorder = sideBorder;
    }
    isOpenOnHover() {
        return this.openOnHover;
    }
    setOpenOnHover(openOnHover) {
        this.openOnHover = openOnHover;
    }
    setDisableActiveItemParentStyles(disableActiveItemParentStyles) {
        this.disableActiveItemParentStyles = disableActiveItemParentStyles;
    }
    hasDisableActiveItemParentStyles() {
        return this.disableActiveItemParentStyles;
    }
    setDrawerTempOpen(open) {
        this.tempOpen = open;
        this.drawerOpenObs.next(this.isDrawerOpen());
    }
    setIsCondensed(condensed) {
        this.isCondensed = condensed;
    }
    setDrawerOpen(drawerOpen) {
        this.drawerOpen = drawerOpen;
        this.drawerOpenObs.next(this.isDrawerOpen());
    }
    setDisableRailTooltip(disableRailTooltip) {
        this.disableRailTooltip = disableRailTooltip;
    }
    isDisableRailTooltip() {
        return this.disableRailTooltip;
    }
    setDrawerVariant(variant) {
        this.variant = variant;
        this.drawerOpenObs.next(this.isDrawerOpen());
    }
    getDrawerVariant() {
        return this.variant;
    }
    isDrawerOpen() {
        return (this.drawerOpen ||
            this.getDrawerVariant() === 'permanent' ||
            this.tempOpen ||
            this.getDrawerVariant() === 'rail');
    }
    isTempOpen() {
        return this.tempOpen;
    }
    isRailCondensed() {
        return this.isCondensed;
    }
    drawerOpenChanges() {
        return this.drawerOpenObs;
    }
    select(hasChildren) {
        this.drawerSelectObs.next(hasChildren);
    }
    drawerSelectionChanges() {
        return this.drawerSelectObs;
    }
    emitChangeActiveItemEvent() {
        this.drawerActiveItemChangeObs.next();
    }
    drawerActiveItemChanges() {
        return this.drawerActiveItemChangeObs;
    }
    drawerNewNavItemCreated() {
        return this.drawerNewNavItemInit;
    }
    emitNewNavItemCreated() {
        this.drawerNewNavItemInit.next();
    }
    /** Each nav item has a unique id which is used to determine which item is selected. */
    createNavItemID() {
        return ++this.navItemCount;
    }
}

const stateMap = new Map();
/** This service is used to manage the state of a Drawer component, responds to user behavior and input settings. */
class DrawerStateManagerService {
    constructor() {
        this.numberOfDrawerStateInstances = 0;
        this.newStateInstanceSubject = new Subject();
    }
    incrementNumberOfDrawerStateInstances() {
        this.numberOfDrawerStateInstances++;
        return this.numberOfDrawerStateInstances;
    }
    getNumberOfDrawerStateInstances() {
        return this.numberOfDrawerStateInstances;
    }
}
DrawerStateManagerService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerStateManagerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
DrawerStateManagerService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerStateManagerService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerStateManagerService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });
class StateListener {
    constructor(drawerStateManagerService, changeDetector, createNewStateListener = false) {
        this.drawerStateManagerService = drawerStateManagerService;
        this.changeDetector = changeDetector;
        this.createNewStateListener = createNewStateListener;
        const currentDrawerStateId = drawerStateManagerService.getNumberOfDrawerStateInstances();
        if (createNewStateListener || !stateMap.has(currentDrawerStateId)) {
            this._createNewDrawerServiceInstance();
        }
        else {
            this.drawerState = stateMap.get(currentDrawerStateId);
        }
    }
    _createNewDrawerServiceInstance() {
        this.drawerStateManagerService.incrementNumberOfDrawerStateInstances();
        const newDrawerStateInstance = new DrawerState();
        const drawerId = this.drawerStateManagerService.getNumberOfDrawerStateInstances();
        stateMap.set(drawerId, newDrawerStateInstance);
        this.drawerState = newDrawerStateInstance;
    }
    broadcastDrawerStateCreated() {
        this.drawerStateManagerService.newStateInstanceSubject.next(this.drawerState);
    }
    ngOnInit() {
        this.listenForDrawerChanges();
    }
    ngOnDestroy() {
        this.unsubscribeListeners();
    }
    isOpen() {
        return this.drawerState.isDrawerOpen();
    }
    isOpenOnHover() {
        return this.drawerState.isOpenOnHover();
    }
    unsubscribeListeners() {
        if (this.drawerOpenListener) {
            this.drawerOpenListener.unsubscribe();
        }
    }
    listenForDrawerChanges() {
        this.drawerOpenListener = this.drawerState.drawerOpenChanges().subscribe(() => {
            this.changeDetector.detectChanges();
        });
    }
}
StateListener.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: StateListener, deps: "invalid", target: i0.ɵɵFactoryTarget.Directive });
StateListener.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.10", type: StateListener, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: StateListener, decorators: [{
            type: Directive
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }, { type: undefined }]; } });

/**
 * The `<blui-drawer-body>` is a wrapper for the main content of the Drawer.
 * The typical use case is to display `<blui-drawer-nav-group>` elements, but custom elements (e.g., for spacing) are accepted as well.
 */
class DrawerBodyComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
    }
}
DrawerBodyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerBodyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerBodyComponent, selector: "blui-drawer-body", host: { classAttribute: "blui-drawer-body" }, usesInheritance: true, ngImport: i0, template: `
        <div class="blui-drawer-body-content" [class.blui-drawer-body-closed]="!isOpen()">
            <ng-content></ng-content>
        </div>
    `, isInline: true, styles: [".blui-drawer-body-content{height:100%;display:flex;flex-direction:column}.blui-drawer-body-closed{overflow-x:hidden}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-body', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-drawer-body-content" [class.blui-drawer-body-closed]="!isOpen()">
            <ng-content></ng-content>
        </div>
    `, host: {
                        class: 'blui-drawer-body',
                    }, styles: [".blui-drawer-body-content{height:100%;display:flex;flex-direction:column}.blui-drawer-body-closed{overflow-x:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; } });

/**
 * [InfoListItem Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-info-list-item--readme)
 *
 * The `<blui-info-list-item>` is intended to be used in List views.
 * It positions a title as well as optional subtitle(s), icon, and status stripe.
 */
class InfoListItemComponent {
    constructor() {
        /** Show a colored background for the icon
         *
         * @default false
         * */
        this.avatar = false;
        /** Add a chevron icon on the right
         *
         * @default false
         * */
        this.chevron = false;
        /** Smaller height row with less padding
         *
         * @default false
         * */
        this.dense = false;
        /** Disable the list item
         *
         * @default false
         * */
        this.disabled = false;
        /** Remove left padding if no icon is used */
        this.hidePadding = false;
        /** Icon alignment when avatar is set to false. Can be `left` | `right` | `center`
         *
         * `left` - Icon appears at the `flex-start` of the icon container.
         *
         * `right` - Icon appears at the `flex-end` of the icon container.
         *
         * `center` - Icon appears at the center of the icon container.
         *
         * @default left
         * */
        this.iconAlign = 'left';
        /** When true, 3rd-line text overflow breaks onto the next line instead of using an ellipsis
         *
         * @default false
         * */
        this.wrapInfo = false;
        /** When true, 2nd-line text overflow breaks onto the next line instead of using an ellipsis
         *
         * @default false
         * */
        this.wrapSubtitle = false;
        /** When true, 1st-line text overflow breaks onto the next line instead of using an ellipsis
         *
         * @default false
         * */
        this.wrapTitle = false;
        this.isEmpty = (el) => isEmptyView(el);
    }
    ngAfterViewInit() {
        const required = { selector: 'title', ref: this.titleEl };
        requireContent([required], this);
    }
}
InfoListItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
InfoListItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: InfoListItemComponent, selector: "blui-info-list-item", inputs: { avatar: "avatar", chevron: "chevron", dense: "dense", divider: "divider", disabled: "disabled", hidePadding: "hidePadding", iconAlign: "iconAlign", statusColor: "statusColor", wrapInfo: "wrapInfo", wrapSubtitle: "wrapSubtitle", wrapTitle: "wrapTitle" }, host: { classAttribute: "blui-info-list-item" }, viewQueries: [{ propertyName: "titleEl", first: true, predicate: ["title"], descendants: true }, { propertyName: "rightEl", first: true, predicate: ["right"], descendants: true }], ngImport: i0, template: `
        <mat-list-item
            class="blui-info-list-item-content"
            [class.blui-info-list-item-wrap]="wrapSubtitle || wrapTitle || wrapInfo"
            [class.blui-info-list-item-dense]="dense"
            [class.blui-info-list-item-status]="statusColor"
            [style.border-left-color]="statusColor"
            [style.border-right-color]="statusColor"
            [disabled]="disabled"
        >
            <div
                mat-list-icon
                class="blui-info-list-item-icon-wrapper"
                [class.blui-info-list-item-hide-padding]="hidePadding"
                [class.blui-info-list-item-avatar]="avatar"
                [style.justify-content]="
                    iconAlign === 'right' ? 'flex-end' : iconAlign === 'center' ? 'center' : 'flex-start'
                "
            >
                <ng-content select="[blui-icon]"></ng-content>
            </div>
            <div class="blui-info-list-item-left-content-wrapper">
                <ng-content select="[blui-left-content]"></ng-content>
            </div>
            <div
                class="mat-body-1 blui-info-list-item-title-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapTitle"
                #title
            >
                <ng-content select="[blui-title]"></ng-content>
            </div>
            <div
                class="mat-body-2 blui-info-list-item-subtitle-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapSubtitle"
            >
                <ng-content select="[blui-subtitle]"></ng-content>
            </div>
            <div
                class="mat-body-2 blui-info-list-item-info-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapInfo"
            >
                <ng-content select="[blui-info]"></ng-content>
            </div>
            <blui-spacer class="blui-info-list-item-spacer"></blui-spacer>
            <div class="blui-info-list-item-right-content">
                <div #right class="blui-info-list-item-right-content-wrapper">
                    <ng-content select="[blui-right-content]"></ng-content>
                </div>
                <mat-icon *ngIf="chevron" class="blui-chevron">chevron_right</mat-icon>
            </div>
        </mat-list-item>
        <mat-divider
            *ngIf="divider"
            class="blui-info-list-item-divider"
            [class.blui-info-list-item-partial-divider]="divider === 'partial'"
        >
        </mat-divider>
    `, isInline: true, styles: [".blui-info-list-item{display:block;width:100%}[dir=rtl] .blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content{border-right:solid 6px;border-right-color:inherit;padding-right:10px;padding-left:16px;border-left:unset}[dir=rtl] .blui-info-list-item-content .mat-list-item-content .mat-list-text,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content .mat-list-text{padding-right:0}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-icon-wrapper,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper{margin-right:0;margin-left:16px}[dir=rtl] .blui-info-list-item-content .blui-chevron,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-chevron{transform:scaleX(-1)}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{margin-left:16px;margin-right:0}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-right-content,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{margin-right:16px;margin-left:0}[dir=rtl] mat-divider.mat-divider.blui-info-list-item-partial-divider{left:0;right:4.5rem}.blui-info-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content{width:100%;height:inherit}.blui-info-list-item-content .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content{display:flex;align-items:center;box-sizing:border-box;height:4.5rem;padding:.5rem 16px;width:100%}.blui-info-list-item-content .mat-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content .mat-list-text{padding-left:0;padding-right:0}.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content{border-left:solid 6px;border-left-color:inherit;padding-left:10px}.blui-info-list-item-content.blui-info-list-item-dense .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-dense .mat-list-item-content{height:3.25rem}.blui-info-list-item-content.blui-info-list-item-wrap .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-wrap .mat-list-item-content{height:unset;min-height:4.5rem}.blui-info-list-item-content.blui-info-list-item-wrap.blui-info-list-item-dense .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-wrap.blui-info-list-item-dense .mat-list-item-content{min-height:3.25rem}.blui-info-list-item-content .blui-info-list-item-title-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper{font-size:1rem;font-weight:600;line-height:1.25;margin-bottom:0}.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper,.blui-info-list-item-content .blui-info-list-item-info-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper{font-weight:400;line-height:1.3;font-size:.875rem}.blui-info-list-item-content .blui-info-list-item-title-wrapper *,.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper *,.blui-info-list-item-content .blui-info-list-item-info-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper *{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.blui-info-list-item-content .blui-info-list-item-title-wrapper.blui-info-list-item-wrap *,.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper.blui-info-list-item-wrap *,.blui-info-list-item-content .blui-info-list-item-info-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper.blui-info-list-item-wrap *{white-space:normal;overflow:unset;text-overflow:unset;overflow-wrap:break-word}.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.blui-info-list-item-content .mat-list-text,.blui-info-list-item-content .blui-info-list-item-spacer,.blui-info-list-item-content .blui-info-list-item-right-content,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-spacer,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{display:flex}.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper{order:1;width:2.5rem;min-width:2.5rem;max-width:40px;line-height:1.5rem;height:auto;margin-right:16px;padding:0}.blui-info-list-item-content .blui-info-list-item-icon-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper>*{font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-hide-padding:empty,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-hide-padding:empty{width:0;margin:0;min-width:unset}.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-avatar>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-avatar>*{padding:.5rem;display:flex;border-radius:50%;width:2.5rem;height:2.5rem;box-sizing:border-box}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper{order:2}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{display:flex}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{margin-right:1rem}.blui-info-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-text{order:3;overflow:hidden;flex-direction:column}.blui-info-list-item-content .blui-info-list-item-spacer,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-spacer{order:4}.blui-info-list-item-content .blui-info-list-item-right-content,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{order:5;white-space:nowrap;align-items:center;margin-left:16px}.blui-info-list-item-content .blui-info-list-item-right-content .blui-info-list-item-right-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content .blui-info-list-item-right-content-wrapper>*{display:flex;align-items:center}.blui-info-list-item-content .blui-chevron,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-chevron{font-size:1.5rem;height:1.5rem;width:1.5rem}mat-divider.blui-info-list-item-divider{margin-top:-1px}mat-divider.mat-divider.blui-info-list-item-partial-divider{position:relative;bottom:0;right:0;left:calc(2.5rem + 32px);width:calc(100% - (2.5rem + 32px))}\n"], dependencies: [{ kind: "component", type: SpacerComponent, selector: "blui-spacer", inputs: ["flex", "height", "width"] }, { kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.MatListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["disableRipple", "disabled"], exportAs: ["matListItem"] }, { kind: "directive", type: i5.MatLine, selector: "[mat-line], [matLine]" }, { kind: "directive", type: i4.MatListIconCssMatStyler, selector: "[mat-list-icon], [matListIcon]" }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-info-list-item', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <mat-list-item
            class="blui-info-list-item-content"
            [class.blui-info-list-item-wrap]="wrapSubtitle || wrapTitle || wrapInfo"
            [class.blui-info-list-item-dense]="dense"
            [class.blui-info-list-item-status]="statusColor"
            [style.border-left-color]="statusColor"
            [style.border-right-color]="statusColor"
            [disabled]="disabled"
        >
            <div
                mat-list-icon
                class="blui-info-list-item-icon-wrapper"
                [class.blui-info-list-item-hide-padding]="hidePadding"
                [class.blui-info-list-item-avatar]="avatar"
                [style.justify-content]="
                    iconAlign === 'right' ? 'flex-end' : iconAlign === 'center' ? 'center' : 'flex-start'
                "
            >
                <ng-content select="[blui-icon]"></ng-content>
            </div>
            <div class="blui-info-list-item-left-content-wrapper">
                <ng-content select="[blui-left-content]"></ng-content>
            </div>
            <div
                class="mat-body-1 blui-info-list-item-title-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapTitle"
                #title
            >
                <ng-content select="[blui-title]"></ng-content>
            </div>
            <div
                class="mat-body-2 blui-info-list-item-subtitle-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapSubtitle"
            >
                <ng-content select="[blui-subtitle]"></ng-content>
            </div>
            <div
                class="mat-body-2 blui-info-list-item-info-wrapper"
                matLine
                [class.blui-info-list-item-wrap]="wrapInfo"
            >
                <ng-content select="[blui-info]"></ng-content>
            </div>
            <blui-spacer class="blui-info-list-item-spacer"></blui-spacer>
            <div class="blui-info-list-item-right-content">
                <div #right class="blui-info-list-item-right-content-wrapper">
                    <ng-content select="[blui-right-content]"></ng-content>
                </div>
                <mat-icon *ngIf="chevron" class="blui-chevron">chevron_right</mat-icon>
            </div>
        </mat-list-item>
        <mat-divider
            *ngIf="divider"
            class="blui-info-list-item-divider"
            [class.blui-info-list-item-partial-divider]="divider === 'partial'"
        >
        </mat-divider>
    `, host: {
                        class: 'blui-info-list-item',
                    }, styles: [".blui-info-list-item{display:block;width:100%}[dir=rtl] .blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content{border-right:solid 6px;border-right-color:inherit;padding-right:10px;padding-left:16px;border-left:unset}[dir=rtl] .blui-info-list-item-content .mat-list-item-content .mat-list-text,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content .mat-list-text{padding-right:0}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-icon-wrapper,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper{margin-right:0;margin-left:16px}[dir=rtl] .blui-info-list-item-content .blui-chevron,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-chevron{transform:scaleX(-1)}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{margin-left:16px;margin-right:0}[dir=rtl] .blui-info-list-item-content .blui-info-list-item-right-content,[dir=rtl] .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{margin-right:16px;margin-left:0}[dir=rtl] mat-divider.mat-divider.blui-info-list-item-partial-divider{left:0;right:4.5rem}.blui-info-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content{width:100%;height:inherit}.blui-info-list-item-content .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content{display:flex;align-items:center;box-sizing:border-box;height:4.5rem;padding:.5rem 16px;width:100%}.blui-info-list-item-content .mat-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-item-content .mat-list-text{padding-left:0;padding-right:0}.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-status .mat-list-item-content{border-left:solid 6px;border-left-color:inherit;padding-left:10px}.blui-info-list-item-content.blui-info-list-item-dense .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-dense .mat-list-item-content{height:3.25rem}.blui-info-list-item-content.blui-info-list-item-wrap .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-wrap .mat-list-item-content{height:unset;min-height:4.5rem}.blui-info-list-item-content.blui-info-list-item-wrap.blui-info-list-item-dense .mat-list-item-content,.mat-list-base .mat-list-item.blui-info-list-item-content.blui-info-list-item-wrap.blui-info-list-item-dense .mat-list-item-content{min-height:3.25rem}.blui-info-list-item-content .blui-info-list-item-title-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper{font-size:1rem;font-weight:600;line-height:1.25;margin-bottom:0}.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper,.blui-info-list-item-content .blui-info-list-item-info-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper{font-weight:400;line-height:1.3;font-size:.875rem}.blui-info-list-item-content .blui-info-list-item-title-wrapper *,.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper *,.blui-info-list-item-content .blui-info-list-item-info-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper *{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.blui-info-list-item-content .blui-info-list-item-title-wrapper.blui-info-list-item-wrap *,.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper.blui-info-list-item-wrap *,.blui-info-list-item-content .blui-info-list-item-info-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-subtitle-wrapper.blui-info-list-item-wrap *,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-info-wrapper.blui-info-list-item-wrap *{white-space:normal;overflow:unset;text-overflow:unset;overflow-wrap:break-word}.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.blui-info-list-item-content .mat-list-text,.blui-info-list-item-content .blui-info-list-item-spacer,.blui-info-list-item-content .blui-info-list-item-right-content,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-spacer,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{display:flex}.blui-info-list-item-content .blui-info-list-item-icon-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper{order:1;width:2.5rem;min-width:2.5rem;max-width:40px;line-height:1.5rem;height:auto;margin-right:16px;padding:0}.blui-info-list-item-content .blui-info-list-item-icon-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper>*{font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-hide-padding:empty,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-hide-padding:empty{width:0;margin:0;min-width:unset}.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-avatar>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-icon-wrapper.blui-info-list-item-avatar>*{padding:.5rem;display:flex;border-radius:50%;width:2.5rem;height:2.5rem;box-sizing:border-box}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper{order:2}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{display:flex}.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-left-content-wrapper>*{margin-right:1rem}.blui-info-list-item-content .mat-list-text,.mat-list-base .mat-list-item.blui-info-list-item-content .mat-list-text{order:3;overflow:hidden;flex-direction:column}.blui-info-list-item-content .blui-info-list-item-spacer,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-spacer{order:4}.blui-info-list-item-content .blui-info-list-item-right-content,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content{order:5;white-space:nowrap;align-items:center;margin-left:16px}.blui-info-list-item-content .blui-info-list-item-right-content .blui-info-list-item-right-content-wrapper>*,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-right-content .blui-info-list-item-right-content-wrapper>*{display:flex;align-items:center}.blui-info-list-item-content .blui-chevron,.mat-list-base .mat-list-item.blui-info-list-item-content .blui-chevron{font-size:1.5rem;height:1.5rem;width:1.5rem}mat-divider.blui-info-list-item-divider{margin-top:-1px}mat-divider.mat-divider.blui-info-list-item-partial-divider{position:relative;bottom:0;right:0;left:calc(2.5rem + 32px);width:calc(100% - (2.5rem + 32px))}\n"] }]
        }], propDecorators: { avatar: [{
                type: Input
            }], chevron: [{
                type: Input
            }], dense: [{
                type: Input
            }], divider: [{
                type: Input
            }], disabled: [{
                type: Input
            }], hidePadding: [{
                type: Input
            }], iconAlign: [{
                type: Input
            }], statusColor: [{
                type: Input
            }], wrapInfo: [{
                type: Input
            }], wrapSubtitle: [{
                type: Input
            }], wrapTitle: [{
                type: Input
            }], titleEl: [{
                type: ViewChild,
                args: ['title']
            }], rightEl: [{
                type: ViewChild,
                args: ['right']
            }] } });

/**
 * [DrawerNavItem Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-nav-item>` is a wrapper to the `<blui-info-list-item>` that is meant to be used within a `<blui-nav-group>`.
 */
class DrawerNavItemComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
        this.changeDetectorRef = changeDetectorRef;
        /** Sets the active item background shape
         *
         * `square` - Background shape takes the entire height of width of the NavItem.
         * `round` - Background shape has a rounded corner towards the end of the NavItem.
         *
         * @default square
         * */
        this.activeItemBackgroundShape = 'square';
        /** Sets whether to show a chevron icon on the left side of a `NavItem`
         *
         * @default false
         * */
        this.chevron = false;
        /** Whether to show a dividing line below each NavItem
         *
         * @default false
         * */
        this.divider = false;
        /** Sets whether to show nested nav items
         *
         * @default false
         * */
        this.expanded = false;
        /** Sets whether to hide the nav item
         *
         * @default false
         * */
        this.hidden = false;
        /** Sets whether to show/hide Angular ripple animation effect onClick
         *
         * @default true
         * */
        this.ripple = true;
        /** Event triggered on nav item select */
        this.select = new EventEmitter();
        this.isEmpty = (el) => isEmptyView(el);
        /** Controls the expansion icon. */
        this.hasChildren = false;
        this.id = this.drawerState.createNavItemID();
        this.drawerState.emitNewNavItemCreated();
        this.drawerState.drawerOpenChanges().subscribe(() => {
            this.handleExpand();
        });
        this.drawerState.drawerActiveItemChanges().subscribe(() => {
            if (this.navItemEl) {
                this.manageActiveItemTreeHighlight();
            }
        });
    }
    ngOnChanges(changes) {
        if (changes.selected) {
            this.drawerState.emitChangeActiveItemEvent();
        }
        if (changes.expanded !== undefined && !changes.expanded.isFirstChange() && this.matExpansionPanel) {
            this.handleExpand();
        }
    }
    ngAfterContentInit() {
        // If ContentChildren is self-inclusive (ng version < 9), filter self out using service-generated NavItem ID.
        this.nestedNavItems = this.nestedNavItems.filter((item) => item.id !== this.id);
    }
    handleExpand() {
        setTimeout(() => {
            if (!this.matExpansionPanel) {
                return;
            }
            // Persistent drawers will only expand if they the drawer is opened.
            // Temporary drawers will always have any expansion panels opened.
            if (this.expanded && (this.isOpen() || this.drawerState.getDrawerVariant() === 'temporary')) {
                this.matExpansionPanel.open();
            }
            else {
                this.matExpansionPanel.close();
            }
        });
    }
    isRail() {
        return this.drawerState.getDrawerVariant() === 'rail';
    }
    isRailCondensed() {
        return this.drawerState.isRailCondensed();
    }
    showTooltipOnRailHover() {
        return !this.drawerState.isDisableRailTooltip();
    }
    /** Whenever the selected item in the drawer state changes, we need to check to see we should apply a hierarchical highlight. */
    manageActiveItemTreeHighlight() {
        if (!this.navItemEl) {
            return;
        }
        this.navItemEl.nativeElement.classList.remove('blui-drawer-nav-item-active-tree');
        if (this.drawerState.hasDisableActiveItemParentStyles()) {
            return;
        }
        // Add tree highlighting for selected items
        if (this.selected && this.depth > 1) {
            let parent = this.navItemEl.nativeElement.parentNode;
            while (parent.parentNode) {
                parent = parent.parentNode;
                const navItem = parent.firstElementChild;
                if (navItem.classList.contains('blui-drawer-nav-item-content')) {
                    navItem.classList.add('blui-drawer-nav-item-active-tree');
                }
            }
        }
    }
    listenForDrawerChanges() {
        this.drawerOpenListener = this.drawerState.drawerOpenChanges().subscribe(() => {
            // Two detections are required to get the custom icons to work.
            // First tick causes the icons to container to reappear.
            // Second tick handles isEmpty function calls.
            this.changeDetector.detectChanges();
            this.changeDetector.detectChanges();
        });
    }
    /** A top-level navigation item has a depth of 1. */
    incrementDepth(parentDepth) {
        if (parentDepth === 0) {
            this._setNavItemDefaults();
        }
        else {
            this._setNestedNavItemDefaults();
        }
        this.depth = parentDepth + 1;
        this.hasChildren = this.nestedNavItems && this.nestedNavItems.length > 0;
        if (this.hasChildren && this.expanded === true) {
            this.handleExpand();
        }
        this.changeDetector.detectChanges();
    }
    /** Sets default state values for non-nested nav items. Invoked by DrawerNavGroupComponent on content init. */
    _setNavItemDefaults() {
        if (this.divider === undefined)
            this.divider = true;
        if (this.hidePadding === undefined)
            this.hidePadding = true;
    }
    /** Sets default state values for nested nav items. */
    _setNestedNavItemDefaults() {
        if (this.divider === undefined)
            this.divider = false;
        if (this.hidePadding === undefined)
            this.hidePadding = false;
    }
    selectItem() {
        this.drawerState.select(this.hasChildren);
        this.select.emit();
        if (this.hasChildren) {
            this.toggleNestedNavItems();
            this.changeDetector.detectChanges();
        }
    }
    toggleNestedNavItems() {
        this.expanded = !this.expanded;
        this.handleExpand();
    }
}
DrawerNavItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerNavItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerNavItemComponent, selector: "blui-drawer-nav-item", inputs: { activeItemBackgroundShape: "activeItemBackgroundShape", chevron: "chevron", divider: "divider", expanded: "expanded", hidePadding: "hidePadding", hidden: "hidden", ripple: "ripple", selected: "selected", statusColor: "statusColor", subtitle: "subtitle", title: "title" }, outputs: { select: "select" }, host: { classAttribute: "blui-drawer-nav-item" }, queries: [{ propertyName: "nestedNavItems", predicate: DrawerNavItemComponent }], viewQueries: [{ propertyName: "expandIconEl", first: true, predicate: ["expandIcon"], descendants: true }, { propertyName: "iconEl", first: true, predicate: ["icon"], descendants: true }, { propertyName: "collapseIconEl", first: true, predicate: ["collapseIcon"], descendants: true }, { propertyName: "navItemEl", first: true, predicate: ["navItem"], descendants: true }, { propertyName: "matExpansionPanel", first: true, predicate: ["matExpansionPanel"], descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <ng-container *ngIf="!hidden && depth">
            <ng-template #navIcon><ng-content select="[blui-icon]"></ng-content></ng-template>
            <div
                class="blui-drawer-nav-item-content"
                #navItem
                matRipple
                [matRippleDisabled]="!ripple ?? true"
                [class.blui-drawer-nav-item-active]="selected"
                [class.blui-drawer-nav-item-compact]="false"
            >
                <div
                    [class.blui-drawer-nav-item-active-highlight]="selected"
                    [class.blui-drawer-nav-item-active-round]="
                        activeItemBackgroundShape === 'round' && isOpen() && !isRail()
                    "
                    [class.blui-drawer-nav-item-active-square]="
                        activeItemBackgroundShape === 'square' || !isOpen() || isRail()
                    "
                ></div>
                <blui-info-list-item
                    *ngIf="!isRail()"
                    (click)="selectItem()"
                    [dense]="true"
                    [statusColor]="statusColor"
                    [chevron]="chevron && isOpen()"
                    [hidePadding]="hidePadding"
                    [divider]="divider ? 'full' : undefined"
                    [class.blui-drawer-nav-item-no-icon-closed]="isEmpty(iconEl) && !isOpen()"
                    [matTooltip]="title"
                    [matTooltipDisabled]="isOpen() || isOpenOnHover() || !showTooltipOnRailHover()"
                    matTooltipPosition="right"
                >
                    <ng-container blui-icon #icon>
                        <ng-container *ngTemplateOutlet="navIcon"></ng-container>
                    </ng-container>
                    <div
                        blui-title
                        [class.blui-drawer-nav-item-depth-1]="depth === 1"
                        [class.blui-drawer-nav-item-depth-2]="depth === 2"
                        [class.blui-drawer-nav-item-depth-3]="depth === 3"
                    >
                        {{ title }}
                    </div>
                    <div blui-subtitle>{{ subtitle }}</div>
                    <div blui-right-content *ngIf="hasChildren && isOpen()">
                        <div #expandIcon *ngIf="!expanded">
                            <ng-content select="[blui-expand-icon]"></ng-content>
                        </div>
                        <div #collapseIcon *ngIf="expanded">
                            <ng-content select="[blui-collapse-icon]"></ng-content>
                        </div>
                        <mat-icon
                            *ngIf="isEmpty(collapseIconEl) && isEmpty(expandIconEl)"
                            class="blui-drawer-nav-item-expand-icon"
                            [class.blui-drawer-nav-item-expanded]="expanded"
                            >{{ depth > 1 ? 'arrow_drop_down' : 'expand_more' }}</mat-icon
                        >
                    </div>
                </blui-info-list-item>
                <div class="blui-drawer-nav-item-rail-container" *ngIf="isRail()">
                    <div
                        (click)="selectItem()"
                        class="blui-drawer-nav-item-rail"
                        [matTooltip]="showTooltipOnRailHover() ? title : ''"
                        [matTooltipDisabled]="!isRailCondensed()"
                        matTooltipPosition="right"
                    >
                        <ng-container *ngTemplateOutlet="navIcon"></ng-container>
                        <div class="blui-drawer-nav-item-rail-text">{{ title }}</div>
                    </div>
                    <mat-divider *ngIf="divider"></mat-divider>
                </div>
            </div>
            <!-- Nested Nav Items -->
            <mat-accordion displayMode="flat" class="blui-drawer-nested-nav-item" *ngIf="!isRail()">
                <mat-expansion-panel #matExpansionPanel>
                    <ng-content select="blui-drawer-nav-item"></ng-content>
                </mat-expansion-panel>
            </mat-accordion>
        </ng-container>
    `, isInline: true, styles: ["[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight{right:0}[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-round{border-radius:1.5rem 0 0 1.5rem}[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-depth-3{padding-left:0;padding-right:32px}[dir=rtl] .blui-drawer-nav-item-content blui-info-list-item.blui-drawer-nav-item-no-icon-closed .blui-info-list-item .mat-list-item-content{padding-right:16px;padding-left:24px}blui-drawer-nav-item{outline:none}blui-drawer-nav-item .blui-drawer-nav-item-active .mat-list-item:hover{background:unset}.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail{min-height:3.5rem}.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail .blui-drawer-nav-item-rail-text{display:none}.blui-drawer-nav-item-content{overflow:hidden;position:relative;-webkit-user-select:none;user-select:none}.blui-drawer-nav-item-content.blui-drawer-nav-item-compact{margin-top:.5rem;margin-bottom:.5rem}.blui-drawer-nav-item-content.blui-drawer-nav-item-compact .blui-info-list-item-content.blui-info-list-item-dense,.blui-drawer-nav-item-content.blui-drawer-nav-item-compact .blui-info-list-item-content .mat-list-item-content{height:2.5rem!important}.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-1,.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-2{padding-left:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-3{padding-left:32px}.blui-drawer-nav-item-content .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper{font-weight:400}.blui-drawer-nav-item-content.blui-drawer-nav-item-active .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper,.blui-drawer-nav-item-content.blui-drawer-nav-item-active-tree .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper{font-weight:600}.blui-drawer-nav-item-content blui-info-list-item{display:flex;flex-direction:column}.blui-drawer-nav-item-content blui-info-list-item mat-list-item{z-index:1}.blui-drawer-nav-item-content blui-info-list-item.blui-drawer-nav-item-no-icon-closed .blui-info-list-item .mat-list-item-content{padding-right:24px}.blui-drawer-nav-item-content .blui-info-list-item .blui-info-list-item-icon-wrapper{padding:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight{display:flex;z-index:0;position:absolute;height:100%;left:0;top:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-round{width:calc(100% - .5rem);border-radius:0 1.5rem 1.5rem 0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-square{border-radius:0;width:100%}.blui-drawer-nav-item-content .blui-drawer-nav-item-expand-icon{transition:.3s;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-drawer-nav-item-content .blui-drawer-nav-item-expand-icon.blui-drawer-nav-item-expanded{transform:rotate(180deg)}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail-container{z-index:1;display:flex;flex-direction:column}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail-container .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail{z-index:1;display:flex;flex-direction:column;min-height:4.5rem;width:calc(3.5rem + 16px);justify-content:center;align-items:center;padding:1rem 8px;box-sizing:border-box;cursor:pointer;text-align:center}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail *{z-index:1}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail .blui-drawer-nav-item-rail-text{font-size:.75rem;line-height:1rem;word-break:break-word;-webkit-hyphens:auto;hyphens:auto}.blui-drawer-nested-nav-item .blui-info-list-item .mat-list-item-content{padding-left:16px}.blui-drawer-nested-nav-item .mat-expansion-panel-body{padding:0}.blui-drawer-nested-nav-item .mat-expansion-panel:not([class*=mat-elevation-z]){box-shadow:unset}.blui-drawer-nested-nav-item.mat-accordion .mat-expansion-panel:last-of-type,.blui-drawer-nested-nav-item.mat-accordion .mat-expansion-panel:first-of-type{border-radius:0}\n"], dependencies: [{ kind: "directive", type: i2$2.MatTooltip, selector: "[matTooltip]", exportAs: ["matTooltip"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: InfoListItemComponent, selector: "blui-info-list-item", inputs: ["avatar", "chevron", "dense", "divider", "disabled", "hidePadding", "iconAlign", "statusColor", "wrapInfo", "wrapSubtitle", "wrapTitle"] }, { kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "directive", type: i5.MatRipple, selector: "[mat-ripple], [matRipple]", inputs: ["matRippleColor", "matRippleUnbounded", "matRippleCentered", "matRippleRadius", "matRippleAnimation", "matRippleDisabled", "matRippleTrigger"], exportAs: ["matRipple"] }, { kind: "directive", type: i8.MatAccordion, selector: "mat-accordion", inputs: ["multi", "hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i8.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["disabled", "expanded", "hideToggle", "togglePosition"], outputs: ["opened", "closed", "expandedChange", "afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-nav-item', encapsulation: ViewEncapsulation.None, template: `
        <ng-container *ngIf="!hidden && depth">
            <ng-template #navIcon><ng-content select="[blui-icon]"></ng-content></ng-template>
            <div
                class="blui-drawer-nav-item-content"
                #navItem
                matRipple
                [matRippleDisabled]="!ripple ?? true"
                [class.blui-drawer-nav-item-active]="selected"
                [class.blui-drawer-nav-item-compact]="false"
            >
                <div
                    [class.blui-drawer-nav-item-active-highlight]="selected"
                    [class.blui-drawer-nav-item-active-round]="
                        activeItemBackgroundShape === 'round' && isOpen() && !isRail()
                    "
                    [class.blui-drawer-nav-item-active-square]="
                        activeItemBackgroundShape === 'square' || !isOpen() || isRail()
                    "
                ></div>
                <blui-info-list-item
                    *ngIf="!isRail()"
                    (click)="selectItem()"
                    [dense]="true"
                    [statusColor]="statusColor"
                    [chevron]="chevron && isOpen()"
                    [hidePadding]="hidePadding"
                    [divider]="divider ? 'full' : undefined"
                    [class.blui-drawer-nav-item-no-icon-closed]="isEmpty(iconEl) && !isOpen()"
                    [matTooltip]="title"
                    [matTooltipDisabled]="isOpen() || isOpenOnHover() || !showTooltipOnRailHover()"
                    matTooltipPosition="right"
                >
                    <ng-container blui-icon #icon>
                        <ng-container *ngTemplateOutlet="navIcon"></ng-container>
                    </ng-container>
                    <div
                        blui-title
                        [class.blui-drawer-nav-item-depth-1]="depth === 1"
                        [class.blui-drawer-nav-item-depth-2]="depth === 2"
                        [class.blui-drawer-nav-item-depth-3]="depth === 3"
                    >
                        {{ title }}
                    </div>
                    <div blui-subtitle>{{ subtitle }}</div>
                    <div blui-right-content *ngIf="hasChildren && isOpen()">
                        <div #expandIcon *ngIf="!expanded">
                            <ng-content select="[blui-expand-icon]"></ng-content>
                        </div>
                        <div #collapseIcon *ngIf="expanded">
                            <ng-content select="[blui-collapse-icon]"></ng-content>
                        </div>
                        <mat-icon
                            *ngIf="isEmpty(collapseIconEl) && isEmpty(expandIconEl)"
                            class="blui-drawer-nav-item-expand-icon"
                            [class.blui-drawer-nav-item-expanded]="expanded"
                            >{{ depth > 1 ? 'arrow_drop_down' : 'expand_more' }}</mat-icon
                        >
                    </div>
                </blui-info-list-item>
                <div class="blui-drawer-nav-item-rail-container" *ngIf="isRail()">
                    <div
                        (click)="selectItem()"
                        class="blui-drawer-nav-item-rail"
                        [matTooltip]="showTooltipOnRailHover() ? title : ''"
                        [matTooltipDisabled]="!isRailCondensed()"
                        matTooltipPosition="right"
                    >
                        <ng-container *ngTemplateOutlet="navIcon"></ng-container>
                        <div class="blui-drawer-nav-item-rail-text">{{ title }}</div>
                    </div>
                    <mat-divider *ngIf="divider"></mat-divider>
                </div>
            </div>
            <!-- Nested Nav Items -->
            <mat-accordion displayMode="flat" class="blui-drawer-nested-nav-item" *ngIf="!isRail()">
                <mat-expansion-panel #matExpansionPanel>
                    <ng-content select="blui-drawer-nav-item"></ng-content>
                </mat-expansion-panel>
            </mat-accordion>
        </ng-container>
    `, host: {
                        class: 'blui-drawer-nav-item',
                    }, styles: ["[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight{right:0}[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-round{border-radius:1.5rem 0 0 1.5rem}[dir=rtl] .blui-drawer-nav-item-content .blui-drawer-nav-item-depth-3{padding-left:0;padding-right:32px}[dir=rtl] .blui-drawer-nav-item-content blui-info-list-item.blui-drawer-nav-item-no-icon-closed .blui-info-list-item .mat-list-item-content{padding-right:16px;padding-left:24px}blui-drawer-nav-item{outline:none}blui-drawer-nav-item .blui-drawer-nav-item-active .mat-list-item:hover{background:unset}.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail{min-height:3.5rem}.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail .blui-drawer-nav-item-rail-text{display:none}.blui-drawer-nav-item-content{overflow:hidden;position:relative;-webkit-user-select:none;user-select:none}.blui-drawer-nav-item-content.blui-drawer-nav-item-compact{margin-top:.5rem;margin-bottom:.5rem}.blui-drawer-nav-item-content.blui-drawer-nav-item-compact .blui-info-list-item-content.blui-info-list-item-dense,.blui-drawer-nav-item-content.blui-drawer-nav-item-compact .blui-info-list-item-content .mat-list-item-content{height:2.5rem!important}.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-1,.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-2{padding-left:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-depth-3{padding-left:32px}.blui-drawer-nav-item-content .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper{font-weight:400}.blui-drawer-nav-item-content.blui-drawer-nav-item-active .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper,.blui-drawer-nav-item-content.blui-drawer-nav-item-active-tree .blui-info-list-item .mat-list-item.blui-info-list-item-content .mat-list-text .blui-info-list-item-title-wrapper{font-weight:600}.blui-drawer-nav-item-content blui-info-list-item{display:flex;flex-direction:column}.blui-drawer-nav-item-content blui-info-list-item mat-list-item{z-index:1}.blui-drawer-nav-item-content blui-info-list-item.blui-drawer-nav-item-no-icon-closed .blui-info-list-item .mat-list-item-content{padding-right:24px}.blui-drawer-nav-item-content .blui-info-list-item .blui-info-list-item-icon-wrapper{padding:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight{display:flex;z-index:0;position:absolute;height:100%;left:0;top:0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-round{width:calc(100% - .5rem);border-radius:0 1.5rem 1.5rem 0}.blui-drawer-nav-item-content .blui-drawer-nav-item-active-highlight.blui-drawer-nav-item-active-square{border-radius:0;width:100%}.blui-drawer-nav-item-content .blui-drawer-nav-item-expand-icon{transition:.3s;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-drawer-nav-item-content .blui-drawer-nav-item-expand-icon.blui-drawer-nav-item-expanded{transform:rotate(180deg)}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail-container{z-index:1;display:flex;flex-direction:column}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail-container .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail{z-index:1;display:flex;flex-direction:column;min-height:4.5rem;width:calc(3.5rem + 16px);justify-content:center;align-items:center;padding:1rem 8px;box-sizing:border-box;cursor:pointer;text-align:center}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail *{z-index:1}.blui-drawer-nav-item-content .blui-drawer-nav-item-rail .blui-drawer-nav-item-rail-text{font-size:.75rem;line-height:1rem;word-break:break-word;-webkit-hyphens:auto;hyphens:auto}.blui-drawer-nested-nav-item .blui-info-list-item .mat-list-item-content{padding-left:16px}.blui-drawer-nested-nav-item .mat-expansion-panel-body{padding:0}.blui-drawer-nested-nav-item .mat-expansion-panel:not([class*=mat-elevation-z]){box-shadow:unset}.blui-drawer-nested-nav-item.mat-accordion .mat-expansion-panel:last-of-type,.blui-drawer-nested-nav-item.mat-accordion .mat-expansion-panel:first-of-type{border-radius:0}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { activeItemBackgroundShape: [{
                type: Input
            }], chevron: [{
                type: Input
            }], divider: [{
                type: Input
            }], expanded: [{
                type: Input
            }], hidePadding: [{
                type: Input
            }], hidden: [{
                type: Input
            }], ripple: [{
                type: Input
            }], selected: [{
                type: Input
            }], statusColor: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], title: [{
                type: Input
            }], select: [{
                type: Output
            }], nestedNavItems: [{
                type: ContentChildren,
                args: [DrawerNavItemComponent, { descendants: false }]
            }], expandIconEl: [{
                type: ViewChild,
                args: ['expandIcon']
            }], iconEl: [{
                type: ViewChild,
                args: ['icon']
            }], collapseIconEl: [{
                type: ViewChild,
                args: ['collapseIcon']
            }], navItemEl: [{
                type: ViewChild,
                args: ['navItem']
            }], matExpansionPanel: [{
                type: ViewChild,
                args: ['matExpansionPanel']
            }] } });

/**
 * [DrawerNavGroup Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * A `<blui-drawer-nav-group>` is used inside of the `<blui-drawer-body>` to organize links and content.
 * Each group consists of an (optional) group title and a series of NavItems.
 */
class DrawerNavGroupComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
        /** Whether to show a dividing line below the title */
        this.divider = false;
    }
    /** Whenever a new navigation item is created async or conditionally,
     * re-iterate through the navigation tree to assign the correct depth and top-level or nested state defaults to it. */
    ngAfterViewInit() {
        this._initializeNavItemDefaults(0, this.navItems);
        // This is only called for async or conditionally loaded items.
        this.navItemLifeCycleListener = this.drawerState.drawerNewNavItemCreated().subscribe(() => {
            setTimeout(() => {
                this._initializeNavItemDefaults(0, this.navItems);
            });
        });
    }
    ngOnDestroy() {
        if (this.navItemLifeCycleListener) {
            this.navItemLifeCycleListener.unsubscribe();
        }
    }
    _initializeNavItemDefaults(depth, navItems) {
        for (const item of navItems) {
            if (item && !item.changeDetectorRef['destroyed']) {
                item.incrementDepth(depth);
                this._initializeNavItemDefaults(depth + 1, item.nestedNavItems);
            }
        }
    }
}
DrawerNavGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerNavGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerNavGroupComponent, selector: "blui-drawer-nav-group", inputs: { divider: "divider", title: "title" }, host: { classAttribute: "blui-drawer-nav-group" }, queries: [{ propertyName: "navItems", predicate: DrawerNavItemComponent }], usesInheritance: true, ngImport: i0, template: `
        <div class="blui-drawer-nav-group-content">
            <div
                *ngIf="title"
                class="blui-drawer-nav-group-title mat-overline"
                [class.blui-drawer-nav-group-title-closed]="!isOpen()"
            >
                {{ title }}
            </div>
            <ng-content select="[blui-title-content]"></ng-content>
            <mat-divider *ngIf="divider"></mat-divider>
            <mat-nav-list>
                <ng-content select="blui-drawer-nav-item"></ng-content>
            </mat-nav-list>
        </div>
    `, isInline: true, styles: [".blui-drawer-nav-group-content .mat-list-base{font-weight:600;padding-top:0}.blui-drawer-nav-group-content .blui-drawer-nav-group-title{font-weight:600;height:3rem;line-height:3rem;padding:0 16px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.blui-drawer-nav-group-content .blui-drawer-nav-group-title-closed{visibility:hidden}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.MatNavList, selector: "mat-nav-list", inputs: ["disableRipple", "disabled"], exportAs: ["matNavList"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-nav-group', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-drawer-nav-group-content">
            <div
                *ngIf="title"
                class="blui-drawer-nav-group-title mat-overline"
                [class.blui-drawer-nav-group-title-closed]="!isOpen()"
            >
                {{ title }}
            </div>
            <ng-content select="[blui-title-content]"></ng-content>
            <mat-divider *ngIf="divider"></mat-divider>
            <mat-nav-list>
                <ng-content select="blui-drawer-nav-item"></ng-content>
            </mat-nav-list>
        </div>
    `, host: {
                        class: 'blui-drawer-nav-group',
                    }, styles: [".blui-drawer-nav-group-content .mat-list-base{font-weight:600;padding-top:0}.blui-drawer-nav-group-content .blui-drawer-nav-group-title{font-weight:600;height:3rem;line-height:3rem;padding:0 16px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.blui-drawer-nav-group-content .blui-drawer-nav-group-title-closed{visibility:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { divider: [{
                type: Input
            }], title: [{
                type: Input
            }], navItems: [{
                type: ContentChildren,
                args: [DrawerNavItemComponent]
            }] } });

class InfoListItemModule {
}
InfoListItemModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
InfoListItemModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemModule, declarations: [InfoListItemComponent], imports: [SpacerModule, MatIconModule, CommonModule, MatListModule, MatDividerModule], exports: [InfoListItemComponent, MatIconModule, MatListModule, SpacerModule, MatDividerModule] });
InfoListItemModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemModule, imports: [SpacerModule, MatIconModule, CommonModule, MatListModule, MatDividerModule, MatIconModule, MatListModule, SpacerModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: InfoListItemModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [InfoListItemComponent],
                    imports: [SpacerModule, MatIconModule, CommonModule, MatListModule, MatDividerModule],
                    exports: [InfoListItemComponent, MatIconModule, MatListModule, SpacerModule, MatDividerModule],
                }]
        }] });

/*
 * Public API Surface of Info List Item
 */

class DrawerNavGroupModule {
}
DrawerNavGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerNavGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupModule, declarations: [DrawerNavGroupComponent], imports: [CommonModule, MatDividerModule, MatListModule], exports: [DrawerNavGroupComponent] });
DrawerNavGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupModule, imports: [CommonModule, MatDividerModule, MatListModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerNavGroupComponent],
                    imports: [CommonModule, MatDividerModule, MatListModule],
                    exports: [DrawerNavGroupComponent],
                }]
        }] });

class DrawerNavItemModule {
}
DrawerNavItemModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerNavItemModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemModule, declarations: [DrawerNavItemComponent], imports: [MatTooltipModule,
        CommonModule,
        InfoListItemModule,
        MatIconModule,
        MatDividerModule,
        MatRippleModule,
        MatExpansionModule], exports: [DrawerNavItemComponent] });
DrawerNavItemModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemModule, imports: [MatTooltipModule,
        CommonModule,
        InfoListItemModule,
        MatIconModule,
        MatDividerModule,
        MatRippleModule,
        MatExpansionModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerNavItemModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerNavItemComponent],
                    imports: [
                        MatTooltipModule,
                        CommonModule,
                        InfoListItemModule,
                        MatIconModule,
                        MatDividerModule,
                        MatRippleModule,
                        MatExpansionModule,
                    ],
                    exports: [DrawerNavItemComponent],
                }]
        }] });

class DrawerBodyModule {
}
DrawerBodyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerBodyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyModule, declarations: [DrawerBodyComponent], imports: [CommonModule, InfoListItemModule, DrawerNavGroupModule, DrawerNavItemModule], exports: [DrawerBodyComponent,
        DrawerNavGroupComponent,
        InfoListItemModule,
        DrawerNavGroupModule,
        DrawerNavItemModule] });
DrawerBodyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyModule, imports: [CommonModule, InfoListItemModule, DrawerNavGroupModule, DrawerNavItemModule, InfoListItemModule,
        DrawerNavGroupModule,
        DrawerNavItemModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerBodyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerBodyComponent],
                    imports: [CommonModule, InfoListItemModule, DrawerNavGroupModule, DrawerNavItemModule],
                    exports: [
                        DrawerBodyComponent,
                        DrawerNavGroupComponent,
                        InfoListItemModule,
                        DrawerNavGroupModule,
                        DrawerNavItemModule,
                    ],
                }]
        }] });

/**
 * [DrawerFooter Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-footer>` is an optional section that renders at the bottom of the `<blui-drawer>`.
 * It can be used to add any custom content (as children).
 */
class DrawerFooterComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
        /** Whether to show a dividing line above the Footer
         *
         * @default true
         * */
        this.divider = true;
        /** Hide footer content when closed
         *
         * @default true
         * */
        this.hideContentOnCollapse = true;
    }
}
DrawerFooterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerFooterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerFooterComponent, selector: "blui-drawer-footer", inputs: { divider: "divider", hideContentOnCollapse: "hideContentOnCollapse" }, host: { classAttribute: "blui-drawer-footer" }, usesInheritance: true, ngImport: i0, template: `
        <mat-divider *ngIf="divider"></mat-divider>
        <div
            class="blui-drawer-footer-content"
            [style.visibility]="hideContentOnCollapse ? (isOpen() ? 'visible' : 'hidden') : 'visible'"
        >
            <ng-content></ng-content>
        </div>
    `, isInline: true, styles: [".blui-drawer-footer-content{display:flex;flex-direction:column;overflow:hidden}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-footer', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <mat-divider *ngIf="divider"></mat-divider>
        <div
            class="blui-drawer-footer-content"
            [style.visibility]="hideContentOnCollapse ? (isOpen() ? 'visible' : 'hidden') : 'visible'"
        >
            <ng-content></ng-content>
        </div>
    `, host: {
                        class: 'blui-drawer-footer',
                    }, styles: [".blui-drawer-footer-content{display:flex;flex-direction:column;overflow:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { divider: [{
                type: Input
            }], hideContentOnCollapse: [{
                type: Input
            }] } });

class DrawerFooterModule {
}
DrawerFooterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerFooterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterModule, declarations: [DrawerFooterComponent], imports: [CommonModule, MatDividerModule], exports: [DrawerFooterComponent] });
DrawerFooterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterModule, imports: [CommonModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerFooterModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerFooterComponent],
                    imports: [CommonModule, MatDividerModule],
                    exports: [DrawerFooterComponent],
                }]
        }] });

/**
 * [DrawerHeader Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-header>` contains the content found at the top of the `<blui-drawer>`.
 */
class DrawerHeaderComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
        /** Mat toolbar color variant
         *
         * @default primary
         * */
        this.color = 'primary';
        /** Show a divider below footer
         *
         * @default false
         * */
        this.divider = false;
        this.isEmpty = (el) => isEmptyView(el);
    }
    isRail() {
        return this.drawerState.getDrawerVariant() === 'rail';
    }
}
DrawerHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerHeaderComponent, selector: "blui-drawer-header", inputs: { color: "color", divider: "divider", subtitle: "subtitle", title: "title" }, host: { classAttribute: "blui-drawer-header" }, viewQueries: [{ propertyName: "iconEl", first: true, predicate: ["icon"], descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: `
        <mat-toolbar
            class="blui-drawer-header-content"
            [class.rail]="isRail()"
            [color]="color"
            [class.blui-drawer-header-no-icon]="isEmpty(iconEl)"
        >
            <div class="blui-drawer-header-background"></div>
            <div class="blui-drawer-header-text">
                <div #icon class="blui-drawer-header-icon-wrapper">
                    <ng-content select="[blui-icon]"></ng-content>
                </div>
                <div *ngIf="title" class="blui-drawer-header-title-wrapper">
                    <div class="blui-drawer-header-title">{{ title }}</div>
                    <div *ngIf="subtitle" class="blui-drawer-header-subtitle mat-subheading-2">{{ subtitle }}</div>
                </div>
                <ng-content select="[blui-title-content]"></ng-content>
            </div>
        </mat-toolbar>
        <mat-divider *ngIf="divider"></mat-divider>
    `, isInline: true, styles: ["[dir=rtl] .blui-drawer-header-content .blui-drawer-header-icon-wrapper{margin-right:-.5rem;margin-left:calc(24px + (1rem - 16px)/2)}[dir=rtl] .blui-drawer-header-content.blui-drawer-header-no-icon .blui-drawer-header-icon-wrapper{margin-right:0;margin-left:0}.blui-drawer-header-content{width:100%;align-items:flex-start;box-sizing:border-box;position:relative;overflow:hidden;display:flex;height:4rem}.blui-drawer-header-content.mat-toolbar-single-row.mat-toolbar{padding-right:16px;padding-left:16px}.blui-drawer-header-content.rail.blui-drawer-header-no-icon.mat-toolbar-single-row.mat-toolbar{padding-right:0;padding-left:0}.blui-drawer-header-content .blui-drawer-header-background{position:absolute;opacity:.3;background-position:center;background-size:cover;pointer-events:none;inset:0}.blui-drawer-header-content .blui-drawer-header-text{z-index:2;display:flex;width:100%;height:100%}.blui-drawer-header-content .blui-drawer-header-icon-wrapper{display:flex;align-items:center;z-index:1;margin-right:calc(24px + (1rem - 16px)/2);margin-left:-.5rem;width:2.5rem}.blui-drawer-header-content .blui-drawer-header-icon-wrapper .mat-icon-button{height:2.5rem;width:2.5rem;line-height:2.5rem}.blui-drawer-header-content .blui-drawer-header-icon-wrapper .mat-icon-button .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem;height:unset}.blui-drawer-header-content .blui-drawer-header-icon-wrapper:empty{width:0;margin:0}.blui-drawer-header-content.blui-drawer-header-no-icon .blui-drawer-header-icon-wrapper{width:0;margin:0}.blui-drawer-header-content .blui-drawer-header-title-wrapper{display:flex;justify-content:center;align-self:stretch;flex-direction:column;width:calc(100% - 3.5rem);box-sizing:border-box;z-index:1}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-title{font-weight:600;line-height:1.6rem;overflow:hidden;text-overflow:ellipsis}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-subtitle{font-weight:300;line-height:1.3rem;margin-top:-.125rem;overflow:hidden;text-overflow:ellipsis}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-subtitle.mat-subheading-2{margin-bottom:0}@media (max-width: 599px){.blui-drawer-header-content{height:3.5rem}}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i1.MatToolbar, selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-header', encapsulation: ViewEncapsulation.None, template: `
        <mat-toolbar
            class="blui-drawer-header-content"
            [class.rail]="isRail()"
            [color]="color"
            [class.blui-drawer-header-no-icon]="isEmpty(iconEl)"
        >
            <div class="blui-drawer-header-background"></div>
            <div class="blui-drawer-header-text">
                <div #icon class="blui-drawer-header-icon-wrapper">
                    <ng-content select="[blui-icon]"></ng-content>
                </div>
                <div *ngIf="title" class="blui-drawer-header-title-wrapper">
                    <div class="blui-drawer-header-title">{{ title }}</div>
                    <div *ngIf="subtitle" class="blui-drawer-header-subtitle mat-subheading-2">{{ subtitle }}</div>
                </div>
                <ng-content select="[blui-title-content]"></ng-content>
            </div>
        </mat-toolbar>
        <mat-divider *ngIf="divider"></mat-divider>
    `, host: {
                        class: 'blui-drawer-header',
                    }, styles: ["[dir=rtl] .blui-drawer-header-content .blui-drawer-header-icon-wrapper{margin-right:-.5rem;margin-left:calc(24px + (1rem - 16px)/2)}[dir=rtl] .blui-drawer-header-content.blui-drawer-header-no-icon .blui-drawer-header-icon-wrapper{margin-right:0;margin-left:0}.blui-drawer-header-content{width:100%;align-items:flex-start;box-sizing:border-box;position:relative;overflow:hidden;display:flex;height:4rem}.blui-drawer-header-content.mat-toolbar-single-row.mat-toolbar{padding-right:16px;padding-left:16px}.blui-drawer-header-content.rail.blui-drawer-header-no-icon.mat-toolbar-single-row.mat-toolbar{padding-right:0;padding-left:0}.blui-drawer-header-content .blui-drawer-header-background{position:absolute;opacity:.3;background-position:center;background-size:cover;pointer-events:none;inset:0}.blui-drawer-header-content .blui-drawer-header-text{z-index:2;display:flex;width:100%;height:100%}.blui-drawer-header-content .blui-drawer-header-icon-wrapper{display:flex;align-items:center;z-index:1;margin-right:calc(24px + (1rem - 16px)/2);margin-left:-.5rem;width:2.5rem}.blui-drawer-header-content .blui-drawer-header-icon-wrapper .mat-icon-button{height:2.5rem;width:2.5rem;line-height:2.5rem}.blui-drawer-header-content .blui-drawer-header-icon-wrapper .mat-icon-button .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem;height:unset}.blui-drawer-header-content .blui-drawer-header-icon-wrapper:empty{width:0;margin:0}.blui-drawer-header-content.blui-drawer-header-no-icon .blui-drawer-header-icon-wrapper{width:0;margin:0}.blui-drawer-header-content .blui-drawer-header-title-wrapper{display:flex;justify-content:center;align-self:stretch;flex-direction:column;width:calc(100% - 3.5rem);box-sizing:border-box;z-index:1}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-title{font-weight:600;line-height:1.6rem;overflow:hidden;text-overflow:ellipsis}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-subtitle{font-weight:300;line-height:1.3rem;margin-top:-.125rem;overflow:hidden;text-overflow:ellipsis}.blui-drawer-header-content .blui-drawer-header-title-wrapper .blui-drawer-header-subtitle.mat-subheading-2{margin-bottom:0}@media (max-width: 599px){.blui-drawer-header-content{height:3.5rem}}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { color: [{
                type: Input
            }], divider: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], title: [{
                type: Input
            }], iconEl: [{
                type: ViewChild,
                args: ['icon', { static: true }]
            }] } });

class DrawerHeaderModule {
}
DrawerHeaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerHeaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderModule, declarations: [DrawerHeaderComponent], imports: [CommonModule, MatToolbarModule, MatDividerModule], exports: [DrawerHeaderComponent] });
DrawerHeaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderModule, imports: [CommonModule, MatToolbarModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerHeaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerHeaderComponent],
                    imports: [CommonModule, MatToolbarModule, MatDividerModule],
                    exports: [DrawerHeaderComponent],
                }]
        }] });

/**
 * [Drawer Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer>` is used to organize content (typically navigation links) within a `<blui-drawer-layout>`.
 * The `<blui-drawer>` includes helper components for `<blui-drawer-header>`, `<blui-drawer-subheader>`, `<blui-drawer-body>`, `<blui-drawer-nav-group>`, `<blui-drawer-footer>`, and `<blui-drawer-layout>` to help organize the content.
 */
class DrawerComponent extends StateListener {
    /** Drawer component instantiates a new DrawerState object when it is constructed. */
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef, true);
        /** Enables a condensed view for the `rail` variant which removes NavItem labels and shows tooltips instead
         *
         * @default false
         * */
        this.condensed = false;
        /** Hides tooltips on hover for the `rail` variant
         *
         * @default false
         * */
        this.disableRailTooltip = false;
        /** If true, NavItems will not have a bold title when a child NavItem is selected
         *
         * @default false
         * */
        this.disableActiveItemParentStyles = false;
        /** State for the drawer */
        this.open = true;
        /** Automatically open the drawer on hover when closed (persistent variant only) */
        this.openOnHover = true;
        /** Delay in milliseconds before a hover event opens the drawer (persistent variant only)
         *
         * @default 500
         * */
        this.openOnHoverDelay = 500;
        /** Toggle a side border instead of shadow
         *
         * @default false
         * */
        this.sideBorder = false;
        this.broadcastDrawerStateCreated();
    }
    ngOnInit() {
        this.drawerState.setDrawerOpen(this.open);
        this.listenForDrawerChanges();
        this.listenForDrawerSelection();
    }
    // This broadcasts changes to all of the drawer state listeners.
    ngOnChanges() {
        this.drawerState.setSideBorder(this.sideBorder);
        this.drawerState.setDrawerOpen(this.open);
        this.drawerState.setIsCondensed(this.condensed);
        this.drawerState.setDisableRailTooltip(this.disableRailTooltip);
        this.drawerState.setDisableActiveItemParentStyles(this.disableActiveItemParentStyles);
        this.drawerState.setOpenOnHover(this.openOnHover);
    }
    hoverDrawer() {
        if (!this.open && this.openOnHover) {
            this.hoverDelayTimeout = setTimeout(() => {
                this.drawerState.setDrawerTempOpen(true);
                this.changeDetector.detectChanges();
            }, this.openOnHoverDelay);
        }
    }
    unhoverDrawer() {
        if (this.openOnHover) {
            clearTimeout(this.hoverDelayTimeout);
            if (this.drawerState.isTempOpen()) {
                this.drawerState.setDrawerTempOpen(false);
                this.changeDetector.detectChanges();
            }
        }
    }
    // Close drawer on selection if drawer is only temporarily opened.
    // Expanding nested navitems when temporarily opened will not close the drawer.
    listenForDrawerSelection() {
        this.drawerSelectionListener = this.drawerState.drawerSelectionChanges().subscribe((hasChildren) => {
            if (this.drawerState.isTempOpen() && !hasChildren) {
                this.drawerState.setDrawerTempOpen(false);
                this.changeDetector.detectChanges();
            }
        });
    }
    isTemporaryVariant() {
        return this.drawerState.getDrawerVariant() === 'temporary';
    }
}
DrawerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerComponent, selector: "blui-drawer", inputs: { condensed: "condensed", disableRailTooltip: "disableRailTooltip", disableActiveItemParentStyles: "disableActiveItemParentStyles", open: "open", openOnHover: "openOnHover", openOnHoverDelay: "openOnHoverDelay", sideBorder: "sideBorder" }, host: { classAttribute: "blui-drawer" }, usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <div
            class="blui-drawer-content"
            [class.blui-drawer-side-border]="sideBorder"
            [class.mat-elevation-z6]="!sideBorder"
            [class.blui-drawer-condensed-rail]="condensed"
            [class.blui-drawer-collapse]="!isOpen()"
            [class.blui-drawer-temp-variant]="isTemporaryVariant()"
        >
            <!-- Drawer is responsible for managing the styles between the 4 subsections -->
            <ng-content select="blui-drawer-header"></ng-content>
            <div class="blui-drawer-hover-area" (mouseenter)="hoverDrawer()" (mouseleave)="unhoverDrawer()">
                <ng-content select="blui-drawer-subheader"></ng-content>
                <ng-content select="blui-drawer-body"></ng-content>
                <ng-content select="blui-drawer-footer"></ng-content>
            </div>
        </div>
    `, isInline: true, styles: [".blui-drawer-layout .blui-drawer-content{box-shadow:none}.blui-drawer{height:100%;display:flex}[dir=rtl] .blui-drawer-content{border-right:0}[dir=rtl] .blui-drawer-content.blui-drawer-side-border{border-left:1px solid rgba(0,0,0,.12)}[dir=rtl] .blui-drawer-content:not(.blui-drawer-side-border){border-left:0}[dir=rtl] .blui-drawer-content.temp-variant{border-left:0}.blui-drawer-content{display:flex;flex-direction:column;height:100%;width:360px;transition:width .3s cubic-bezier(.4,0,.2,1) 0ms;box-sizing:border-box}.blui-drawer-content.blui-drawer-side-border{border-right:1px solid rgba(0,0,0,.12)}.blui-drawer-content:not(.blui-drawer-side-border){border-right:0}.blui-drawer-content.blui-drawer-temp-variant{border-right:0}.blui-drawer-content.blui-drawer-collapse,.blui-drawer-content.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail{width:calc(1.5rem + 32px)}.blui-drawer-content blui-drawer-subheader,.blui-drawer-content blui-drawer-body,.blui-drawer-content blui-drawer-footer{display:flex;flex-direction:column}.blui-drawer-content blui-drawer-body{height:100%;flex:1 1 0;overflow:auto}.blui-drawer-content .blui-drawer-hover-area{display:flex;flex-direction:column;height:100%}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div
            class="blui-drawer-content"
            [class.blui-drawer-side-border]="sideBorder"
            [class.mat-elevation-z6]="!sideBorder"
            [class.blui-drawer-condensed-rail]="condensed"
            [class.blui-drawer-collapse]="!isOpen()"
            [class.blui-drawer-temp-variant]="isTemporaryVariant()"
        >
            <!-- Drawer is responsible for managing the styles between the 4 subsections -->
            <ng-content select="blui-drawer-header"></ng-content>
            <div class="blui-drawer-hover-area" (mouseenter)="hoverDrawer()" (mouseleave)="unhoverDrawer()">
                <ng-content select="blui-drawer-subheader"></ng-content>
                <ng-content select="blui-drawer-body"></ng-content>
                <ng-content select="blui-drawer-footer"></ng-content>
            </div>
        </div>
    `, host: {
                        class: 'blui-drawer',
                    }, styles: [".blui-drawer-layout .blui-drawer-content{box-shadow:none}.blui-drawer{height:100%;display:flex}[dir=rtl] .blui-drawer-content{border-right:0}[dir=rtl] .blui-drawer-content.blui-drawer-side-border{border-left:1px solid rgba(0,0,0,.12)}[dir=rtl] .blui-drawer-content:not(.blui-drawer-side-border){border-left:0}[dir=rtl] .blui-drawer-content.temp-variant{border-left:0}.blui-drawer-content{display:flex;flex-direction:column;height:100%;width:360px;transition:width .3s cubic-bezier(.4,0,.2,1) 0ms;box-sizing:border-box}.blui-drawer-content.blui-drawer-side-border{border-right:1px solid rgba(0,0,0,.12)}.blui-drawer-content:not(.blui-drawer-side-border){border-right:0}.blui-drawer-content.blui-drawer-temp-variant{border-right:0}.blui-drawer-content.blui-drawer-collapse,.blui-drawer-content.blui-drawer-condensed-rail .blui-drawer-nav-item-content .blui-drawer-nav-item-rail{width:calc(1.5rem + 32px)}.blui-drawer-content blui-drawer-subheader,.blui-drawer-content blui-drawer-body,.blui-drawer-content blui-drawer-footer{display:flex;flex-direction:column}.blui-drawer-content blui-drawer-body{height:100%;flex:1 1 0;overflow:auto}.blui-drawer-content .blui-drawer-hover-area{display:flex;flex-direction:column;height:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { condensed: [{
                type: Input
            }], disableRailTooltip: [{
                type: Input
            }], disableActiveItemParentStyles: [{
                type: Input
            }], open: [{
                type: Input
            }], openOnHover: [{
                type: Input
            }], openOnHoverDelay: [{
                type: Input
            }], sideBorder: [{
                type: Input
            }] } });

/**
 * [DrawerLayout Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-layout>` component is a wrapper around the [Angular Material Sidenav](https://material.angular.io/components/sidenav/overview) that adds specific Brightlayer UI functionality and styling.
 * The `<blui-drawer-layout>` component is used to provide the appropriate resizing behavior for your main application content when used in conjunction with a Brightlayer UI `<blui-drawer>`.
 * It accepts a drawer and content as child elements;
 */
class DrawerLayoutComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef, _dir) {
        // The DrawerState that is created by the DrawerStateManagerService is temporary & replaced by the DrawerState found by its Drawer child.
        super(stateManagerService, changeDetectorRef, true);
        this._dir = _dir;
        /** Controls how the Drawer behaves and appears on the screen.  Can be `permanent` | `peristent` | `temporary` | `rail`.
         *
         * `permanent` - `Drawer` appears on the side of the screen and cannot be dismissed.
         *
         * `persistent` - `Drawer` appears on the side of the screen and responds to the `open` @Input. When closed, only shows each `NavItem` icon.
         *
         * `temporary` - `Drawer` slides in from the side of the screen and appears as an overlay.
         *
         * `rail` - `Drawer` appears on the side of the screen as a slim element, supporting icons and text.
         *
         * @default temporary
         * */
        this.variant = 'temporary';
        /** Drawer pixel width
         *
         * @default 350
         * */
        this.width = 350;
        /** Event triggered on 'temporary' variant backdrop click */
        this.backdropClick = new EventEmitter();
        this.isRtl = false;
        /** This is true whenever the drawer is in a collapsed state & its variant has been transitioned to temporary. */
        this.hasCollapsedTransitionToTemporary = false;
        this.dirChangeSubscription = Subscription.EMPTY;
        this.drawerInstanceCreatedListener = stateManagerService.newStateInstanceSubject.subscribe((drawerState) => {
            // If there is no immediate drawer child, listen for a drawer state creation event and use that state.
            if (!this.drawer) {
                this.drawerState = drawerState;
                this.drawerState.setDrawerVariant(this.variant);
                this.drawerInstanceCreatedListener.unsubscribe();
            }
        });
        this.dirChangeSubscription = _dir.change.subscribe((direction) => {
            this.isRtl = direction === 'rtl';
            changeDetectorRef.detectChanges();
        });
    }
    ngAfterViewInit() {
        this.isRtl = this._dir.value === 'rtl';
        // Drawer Layout attempts to get its DrawerState instance from its immediate DrawerComponent child.
        if (this.drawer) {
            this.drawerState = this.drawer.drawerState;
            this.drawerState.setDrawerVariant(this.variant);
            this.changeDetector.detectChanges();
        }
    }
    ngOnChanges(simpleChanges) {
        if (this.drawerState) {
            this.drawerState.setDrawerVariant(this.variant);
        }
        // Whenever a drawer has transitioned from a closed persistent drawer to a temporary variant,
        // this edge case prevents the drawer from being redrawn at an opened size before it dismissed.
        if (simpleChanges && simpleChanges.variant) {
            const variant = simpleChanges.variant;
            if (variant.currentValue === 'temporary' &&
                (variant.previousValue === 'rail' || (variant.previousValue === 'persistent' && !this.isOpen()))) {
                this.hasCollapsedTransitionToTemporary = true;
                setTimeout(() => {
                    this.hasCollapsedTransitionToTemporary = false;
                }, 500);
            }
        }
        this.changeDetector.detectChanges();
    }
    ngOnDestroy() {
        this.unsubscribeListeners();
        this.dirChangeSubscription.unsubscribe();
        if (this.drawerInstanceCreatedListener) {
            this.drawerInstanceCreatedListener.unsubscribe();
        }
    }
    getMode() {
        return this.variant === 'temporary' ? 'over' : 'side';
    }
    toRem(px) {
        if (this.remElement && this.remElement.nativeElement) {
            const style = getComputedStyle(this.remElement.nativeElement);
            this.remSizePx = Number(style.fontSize.split('px')[0]);
        }
        return px / (this.remSizePx || 16);
    }
    hasSideBorder() {
        return this.drawerState.hasSideBorder();
    }
    closeDrawer() {
        this.drawerState.setDrawerOpen(false);
        this.backdropClick.emit();
    }
    // Is the drawer seen on the screen and expanded.
    isDrawerVisible() {
        if (this.variant === 'temporary')
            return this.isOpen();
        return true;
    }
    getContentMargin() {
        if (this.variant === 'temporary') {
            return 0;
        }
        return this.isCollapsed() ? this.getCollapsedWidth() : this.toRem(this.width);
    }
    getCollapsedWidth() {
        return this.variant === 'rail' && !this.drawerState.isRailCondensed()
            ? 3.5 + this.toRem(16) // Rail (default)
            : 1.5 + this.toRem(32); //  Rail (condensed) || closed persistent
    }
    // Is the drawer condensed.
    isCollapsed() {
        if (this.variant === 'rail')
            return true; // Rail is always collapsed.
        if (this.variant === 'persistent')
            return !this.isOpen();
        if (this.hasCollapsedTransitionToTemporary)
            return true;
        return false;
    }
}
DrawerLayoutComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }, { token: i2$3.Directionality }], target: i0.ɵɵFactoryTarget.Component });
DrawerLayoutComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerLayoutComponent, selector: "blui-drawer-layout", inputs: { variant: "variant", width: "width" }, outputs: { backdropClick: "backdropClick" }, host: { classAttribute: "blui-drawer-layout" }, queries: [{ propertyName: "drawer", first: true, predicate: DrawerComponent, descendants: true }], viewQueries: [{ propertyName: "remElement", first: true, predicate: ["remElement"], descendants: true }], usesInheritance: true, usesOnChanges: true, ngImport: i0, template: `
        <mat-sidenav-container class="blui-drawer-layout-content" (backdropClick)="closeDrawer()" autosize="false">
            <mat-sidenav
                class="blui-drawer-layout-sidenav"
                [fixedInViewport]="false"
                [class.blui-drawer-layout-smooth]="variant !== 'temporary'"
                [class.mat-elevation-z6]="!hasSideBorder()"
                [style.width.rem]="isCollapsed() ? getCollapsedWidth() : toRem(width)"
                [mode]="getMode()"
                [disableClose]="true"
                [opened]="isDrawerVisible()"
            >
                <ng-content select="[blui-drawer]"></ng-content>
            </mat-sidenav>
            <div
                class="blui-drawer-layout-nav-content"
                [class.blui-drawer-layout-smooth]="variant !== 'temporary'"
                [style.marginRight.rem]="isRtl ? getContentMargin() : 0"
                [style.marginLeft.rem]="isRtl ? 0 : getContentMargin()"
            >
                <ng-content select="[blui-content]"></ng-content>
            </div>
            <div style="display:none; font-size: 1rem" #remElement></div>
        </mat-sidenav-container>
    `, isInline: true, styles: [".blui-drawer-layout{display:flex;height:100vh}[dir=rtl] .blui-drawer-layout-content>.mat-drawer-side{border-left:0}.blui-drawer-layout-content{height:100%;width:100%;transition:none;display:flex}.blui-drawer-layout-content>mat-sidenav-content{margin-left:0!important;margin-right:0!important}.blui-drawer-layout-content>.mat-drawer-side{border-right:none}.blui-drawer-layout-content>.blui-drawer-layout-sidenav .blui-drawer-content{transition:none;width:100%}.blui-drawer-layout-content>.blui-drawer-layout-sidenav .blui-drawer-content.blui-drawer-collapse{width:100%}.blui-drawer-layout-content>.blui-drawer-layout-sidenav,.blui-drawer-layout-content .blui-drawer-layout-nav-content{min-height:100%;transition:none}.blui-drawer-layout-content>.blui-drawer-layout-sidenav.blui-drawer-layout-smooth,.blui-drawer-layout-content .blui-drawer-layout-nav-content.blui-drawer-layout-smooth{transition:.3s cubic-bezier(.4,0,.2,1)}\n"], dependencies: [{ kind: "component", type: i3$1.MatSidenav, selector: "mat-sidenav", inputs: ["fixedInViewport", "fixedTopGap", "fixedBottomGap"], exportAs: ["matSidenav"] }, { kind: "component", type: i3$1.MatSidenavContainer, selector: "mat-sidenav-container", exportAs: ["matSidenavContainer"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-layout', encapsulation: ViewEncapsulation.None, template: `
        <mat-sidenav-container class="blui-drawer-layout-content" (backdropClick)="closeDrawer()" autosize="false">
            <mat-sidenav
                class="blui-drawer-layout-sidenav"
                [fixedInViewport]="false"
                [class.blui-drawer-layout-smooth]="variant !== 'temporary'"
                [class.mat-elevation-z6]="!hasSideBorder()"
                [style.width.rem]="isCollapsed() ? getCollapsedWidth() : toRem(width)"
                [mode]="getMode()"
                [disableClose]="true"
                [opened]="isDrawerVisible()"
            >
                <ng-content select="[blui-drawer]"></ng-content>
            </mat-sidenav>
            <div
                class="blui-drawer-layout-nav-content"
                [class.blui-drawer-layout-smooth]="variant !== 'temporary'"
                [style.marginRight.rem]="isRtl ? getContentMargin() : 0"
                [style.marginLeft.rem]="isRtl ? 0 : getContentMargin()"
            >
                <ng-content select="[blui-content]"></ng-content>
            </div>
            <div style="display:none; font-size: 1rem" #remElement></div>
        </mat-sidenav-container>
    `, host: {
                        class: 'blui-drawer-layout',
                    }, styles: [".blui-drawer-layout{display:flex;height:100vh}[dir=rtl] .blui-drawer-layout-content>.mat-drawer-side{border-left:0}.blui-drawer-layout-content{height:100%;width:100%;transition:none;display:flex}.blui-drawer-layout-content>mat-sidenav-content{margin-left:0!important;margin-right:0!important}.blui-drawer-layout-content>.mat-drawer-side{border-right:none}.blui-drawer-layout-content>.blui-drawer-layout-sidenav .blui-drawer-content{transition:none;width:100%}.blui-drawer-layout-content>.blui-drawer-layout-sidenav .blui-drawer-content.blui-drawer-collapse{width:100%}.blui-drawer-layout-content>.blui-drawer-layout-sidenav,.blui-drawer-layout-content .blui-drawer-layout-nav-content{min-height:100%;transition:none}.blui-drawer-layout-content>.blui-drawer-layout-sidenav.blui-drawer-layout-smooth,.blui-drawer-layout-content .blui-drawer-layout-nav-content.blui-drawer-layout-smooth{transition:.3s cubic-bezier(.4,0,.2,1)}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }, { type: i2$3.Directionality }]; }, propDecorators: { variant: [{
                type: Input
            }], width: [{
                type: Input
            }], backdropClick: [{
                type: Output
            }], remElement: [{
                type: ViewChild,
                args: ['remElement']
            }], drawer: [{
                type: ContentChild,
                args: [DrawerComponent]
            }] } });

class DrawerLayoutModule {
}
DrawerLayoutModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerLayoutModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutModule, declarations: [DrawerLayoutComponent], imports: [CommonModule, MatSidenavModule], exports: [DrawerLayoutComponent] });
DrawerLayoutModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutModule, imports: [CommonModule, MatSidenavModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerLayoutModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerLayoutComponent],
                    imports: [CommonModule, MatSidenavModule],
                    exports: [DrawerLayoutComponent],
                }]
        }] });

/**
 * [DrawerSubheader Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-drawer--readme)
 *
 * The `<blui-drawer-subheader>` is an optional section that renders below the header and above the body of the `<blui-drawer>`.
 * It can be used to support custom content (passed as children), such as filtering options or to display additional information.
 */
class DrawerSubheaderComponent extends StateListener {
    constructor(stateManagerService, changeDetectorRef) {
        super(stateManagerService, changeDetectorRef);
        /** Whether to show a dividing line below the SubHeader
         *
         * @default true
         * */
        this.divider = true;
        /** Hide subheader content when drawer is collapsed
         *
         * @default true
         * */
        this.hideContentOnCollapse = true;
    }
}
DrawerSubheaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderComponent, deps: [{ token: DrawerStateManagerService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
DrawerSubheaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: DrawerSubheaderComponent, selector: "blui-drawer-subheader", inputs: { divider: "divider", hideContentOnCollapse: "hideContentOnCollapse" }, host: { classAttribute: "blui-drawer-subheader" }, usesInheritance: true, ngImport: i0, template: `
        <div
            class="blui-drawer-subheader-content"
            [style.visibility]="hideContentOnCollapse ? (isOpen() ? 'visible' : 'hidden') : 'visible'"
        >
            <ng-content></ng-content>
        </div>
        <mat-divider *ngIf="divider"></mat-divider>
    `, isInline: true, styles: [".blui-drawer-subheader-content{display:flex;box-sizing:border-box;overflow:hidden}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-drawer-subheader', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div
            class="blui-drawer-subheader-content"
            [style.visibility]="hideContentOnCollapse ? (isOpen() ? 'visible' : 'hidden') : 'visible'"
        >
            <ng-content></ng-content>
        </div>
        <mat-divider *ngIf="divider"></mat-divider>
    `, host: {
                        class: 'blui-drawer-subheader',
                    }, styles: [".blui-drawer-subheader-content{display:flex;box-sizing:border-box;overflow:hidden}\n"] }]
        }], ctorParameters: function () { return [{ type: DrawerStateManagerService }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { divider: [{
                type: Input
            }], hideContentOnCollapse: [{
                type: Input
            }] } });

class DrawerSubheaderModule {
}
DrawerSubheaderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerSubheaderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderModule, declarations: [DrawerSubheaderComponent], imports: [CommonModule, MatDividerModule], exports: [DrawerSubheaderComponent] });
DrawerSubheaderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderModule, imports: [CommonModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerSubheaderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerSubheaderComponent],
                    imports: [CommonModule, MatDividerModule],
                    exports: [DrawerSubheaderComponent],
                }]
        }] });

class DrawerModule {
}
DrawerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
DrawerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: DrawerModule, declarations: [DrawerComponent], imports: [CommonModule,
        DrawerHeaderModule,
        DrawerSubheaderModule,
        DrawerBodyModule,
        DrawerFooterModule,
        DrawerLayoutModule], exports: [DrawerComponent,
        DrawerHeaderModule,
        DrawerSubheaderModule,
        DrawerBodyModule,
        DrawerFooterModule,
        DrawerLayoutModule] });
DrawerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerModule, imports: [CommonModule,
        DrawerHeaderModule,
        DrawerSubheaderModule,
        DrawerBodyModule,
        DrawerFooterModule,
        DrawerLayoutModule, DrawerHeaderModule,
        DrawerSubheaderModule,
        DrawerBodyModule,
        DrawerFooterModule,
        DrawerLayoutModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: DrawerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DrawerComponent],
                    imports: [
                        CommonModule,
                        DrawerHeaderModule,
                        DrawerSubheaderModule,
                        DrawerBodyModule,
                        DrawerFooterModule,
                        DrawerLayoutModule,
                    ],
                    exports: [
                        DrawerComponent,
                        DrawerHeaderModule,
                        DrawerSubheaderModule,
                        DrawerBodyModule,
                        DrawerFooterModule,
                        DrawerLayoutModule,
                    ],
                }]
        }] });

/**
 * [EmptyState Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-empty-state--readme)
 *
 * The `<blui-empty-state>` component can display a particular icon, text, and actions.
 * Icon components are passed as a child element with the `emptyIcon` attribute - these will typically be a Material icon, Brightlayer UI icon, or Progress Icon.
 */
class EmptyStateComponent {
    constructor(_ref) {
        this._ref = _ref;
        this.hasAction = false;
    }
    ngAfterViewInit() {
        const required = { selector: 'emptyIcon', ref: this.emptyIcon };
        requireContent([required], this);
        this.hasAction = hasChildren(this.actionsRef);
        this._ref.detectChanges();
    }
}
EmptyStateComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
EmptyStateComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: EmptyStateComponent, selector: "blui-empty-state", inputs: { description: "description", title: "title" }, host: { classAttribute: "blui-empty-state" }, viewQueries: [{ propertyName: "emptyIcon", first: true, predicate: ["emptyIcon"], descendants: true }, { propertyName: "actionsRef", first: true, predicate: ["actionsRef"], descendants: true }], ngImport: i0, template: "<div class=\"blui-empty-state-content\">\n    <div class=\"blui-empty-state-empty-icon-wrapper\" #emptyIcon>\n        <ng-content select=\"[blui-empty-icon]\"></ng-content>\n    </div>\n    <h2 class=\"blui-empty-state-title\">\n        <ng-content select=\"[blui-title]\" *ngIf=\"!title\"></ng-content>\n        {{ title }}\n    </h2>\n    <p class=\"mat-subheading-2 blui-empty-state-description\">\n        <ng-content select=\"[blui-description]\" *ngIf=\"!description\"></ng-content>\n        {{ description }}\n    </p>\n    <div\n        class=\"blui-empty-state-actions-wrapper\"\n        [class.blui-empty-state-actions-wrapper-no-action]=\"!hasAction\"\n        #actionsRef\n    >\n        <ng-content select=\"[blui-actions]\"></ng-content>\n    </div>\n</div>\n", styles: [".blui-empty-state{display:flex}.blui-empty-state-content{height:100%;width:100%;box-sizing:border-box;padding:1rem;display:flex;flex-direction:column;align-items:center;justify-content:center}.blui-empty-state-content .blui-empty-state-title{margin-bottom:0}.blui-empty-state-content .blui-empty-state-title,.blui-empty-state-content .blui-empty-state-description{text-align:center;font-weight:600}.blui-empty-state-content .blui-empty-state-empty-icon-wrapper{margin-bottom:1rem;line-height:1}.blui-empty-state-content .blui-empty-state-empty-icon-wrapper>*{display:block;font-size:96px;height:96px;width:96px;text-align:center}.blui-empty-state-content .blui-empty-state-actions-wrapper{margin-top:1rem}.blui-empty-state-content .blui-empty-state-actions-wrapper.blui-empty-state-actions-wrapper-no-action{margin-top:0}.blui-empty-state-content .blui-empty-state-actions-wrapper .mat-button-wrapper{display:flex;align-items:center}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-empty-state', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        class: 'blui-empty-state',
                    }, template: "<div class=\"blui-empty-state-content\">\n    <div class=\"blui-empty-state-empty-icon-wrapper\" #emptyIcon>\n        <ng-content select=\"[blui-empty-icon]\"></ng-content>\n    </div>\n    <h2 class=\"blui-empty-state-title\">\n        <ng-content select=\"[blui-title]\" *ngIf=\"!title\"></ng-content>\n        {{ title }}\n    </h2>\n    <p class=\"mat-subheading-2 blui-empty-state-description\">\n        <ng-content select=\"[blui-description]\" *ngIf=\"!description\"></ng-content>\n        {{ description }}\n    </p>\n    <div\n        class=\"blui-empty-state-actions-wrapper\"\n        [class.blui-empty-state-actions-wrapper-no-action]=\"!hasAction\"\n        #actionsRef\n    >\n        <ng-content select=\"[blui-actions]\"></ng-content>\n    </div>\n</div>\n", styles: [".blui-empty-state{display:flex}.blui-empty-state-content{height:100%;width:100%;box-sizing:border-box;padding:1rem;display:flex;flex-direction:column;align-items:center;justify-content:center}.blui-empty-state-content .blui-empty-state-title{margin-bottom:0}.blui-empty-state-content .blui-empty-state-title,.blui-empty-state-content .blui-empty-state-description{text-align:center;font-weight:600}.blui-empty-state-content .blui-empty-state-empty-icon-wrapper{margin-bottom:1rem;line-height:1}.blui-empty-state-content .blui-empty-state-empty-icon-wrapper>*{display:block;font-size:96px;height:96px;width:96px;text-align:center}.blui-empty-state-content .blui-empty-state-actions-wrapper{margin-top:1rem}.blui-empty-state-content .blui-empty-state-actions-wrapper.blui-empty-state-actions-wrapper-no-action{margin-top:0}.blui-empty-state-content .blui-empty-state-actions-wrapper .mat-button-wrapper{display:flex;align-items:center}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { description: [{
                type: Input
            }], title: [{
                type: Input
            }], emptyIcon: [{
                type: ViewChild,
                args: ['emptyIcon']
            }], actionsRef: [{
                type: ViewChild,
                args: ['actionsRef']
            }] } });

class EmptyStateModule {
}
EmptyStateModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
EmptyStateModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateModule, declarations: [EmptyStateComponent], imports: [CommonModule], exports: [EmptyStateComponent] });
EmptyStateModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: EmptyStateModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [EmptyStateComponent],
                    imports: [CommonModule],
                    exports: [EmptyStateComponent],
                }]
        }] });

/*
 * Public API Surface of empty-state
 */

/**
 * [HeroBanner Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-hero--readme)
 *
 * The `<blui-hero-banner>` component is a simple wrapper component that is used to contain `<blui-hero>`s.
 */
class HeroBannerComponent {
    constructor() {
        /** Whether to show the line separator
         *
         * @default false
         * */
        this.divider = false;
    }
}
HeroBannerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroBannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
HeroBannerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: HeroBannerComponent, selector: "blui-hero-banner", inputs: { divider: "divider" }, host: { classAttribute: "blui-hero-banner" }, ngImport: i0, template: `
        <div class="blui-hero-banner-content">
            <ng-content select="blui-hero"></ng-content>
        </div>
        <mat-divider class="blui-hero-banner-divider" *ngIf="divider"></mat-divider>
    `, isInline: true, styles: [".blui-hero-banner{display:flex;flex-direction:column}.blui-hero-banner-content{display:flex;flex:1 1 0;align-items:center;justify-content:center}.blui-hero-banner-content blui-hero{flex:1 1 0}.blui-hero-banner-content blui-hero:nth-child(n+5){display:none}\n"], dependencies: [{ kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-hero-banner', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-hero-banner-content">
            <ng-content select="blui-hero"></ng-content>
        </div>
        <mat-divider class="blui-hero-banner-divider" *ngIf="divider"></mat-divider>
    `, host: {
                        class: 'blui-hero-banner',
                    }, styles: [".blui-hero-banner{display:flex;flex-direction:column}.blui-hero-banner-content{display:flex;flex:1 1 0;align-items:center;justify-content:center}.blui-hero-banner-content blui-hero{flex:1 1 0}.blui-hero-banner-content blui-hero:nth-child(n+5){display:none}\n"] }]
        }], propDecorators: { divider: [{
                type: Input
            }] } });

/**
 * [Hero Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-hero--readme)
 *
 * The `<blui-hero>` components are used to call attention to particular values that are of the most importance to the user.
 * These are typically displayed in a banner.
 */
class HeroComponent {
    constructor(_ref) {
        this._ref = _ref;
        /** If true, shows units before the value
         *
         * @default false
         * */
        this.prefix = false;
        /** The size of the primary icon (10-48) */
        this.iconSize = 36;
        /** Transforms an SVG icon based on the provided `iconSize` */
        this.scaleSvgIcon = true;
        /** Show a space between the value and units for the channel, default is `auto` */
        this.unitSpace = 'auto';
    }
    ngOnChanges() {
        requireInput(['label'], this);
        this.iSize = this.iconSize;
    }
    ngAfterViewInit() {
        const required = { selector: 'primaryContainer', ref: this.primaryContainer };
        requireContent([required], this);
        this.hasMatSvgIcon = Boolean(this.getMatSvgIcon());
        this._ref.detectChanges();
    }
    ngAfterContentChecked() {
        this.scaleSvgIconOnChanges();
    }
    // Used to listen for changes in the primary icon content.
    // SVG icon content might be loaded post-render (fetching icon via http)
    scaleSvgIconOnChanges() {
        if (!this.hasMatSvgIcon || !this.primaryContainer || !this.scaleSvgIcon) {
            return;
        }
        // If the primary ng-content did not change, no action required.
        const iconHtml = this.primaryContainer.nativeElement.innerHTML;
        if (iconHtml === this.iconString) {
            return;
        }
        // Update icon data.
        this.iconString = iconHtml;
        const matIcon = this.getMatSvgIcon();
        if (matIcon) {
            this.hasMatSvgIcon = true;
            const svg = matIcon.querySelector('svg');
            if (svg) {
                svg.style.setProperty('transform', `scale(${this.iSize / 24})`);
            }
        }
    }
    // Returns projected <mat-icon> with attribute [svgIcon] if it exists
    getMatSvgIcon() {
        return this.primaryContainer.nativeElement.querySelector('div mat-icon[svgicon]');
    }
}
HeroComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
HeroComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: HeroComponent, selector: "blui-hero", inputs: { prefix: "prefix", color: "color", iconBackgroundColor: "iconBackgroundColor", iconSize: "iconSize", label: "label", scaleSvgIcon: "scaleSvgIcon", units: "units", value: "value", unitSpace: "unitSpace" }, host: { classAttribute: "blui-hero" }, viewQueries: [{ propertyName: "primaryContainer", first: true, predicate: ["primaryContainer"], descendants: true }], usesOnChanges: true, ngImport: i0, template: `
        <div class="blui-hero-content">
            <div
                class="blui-hero-primary-wrapper"
                #primaryContainer
                [style.backgroundColor]="iconBackgroundColor"
                [style.lineHeight.px]="iSize"
                [style.fontSize.px]="iSize"
                [style.width.px]="iSize"
                [style.height.px]="iSize"
                [class.blui-hero-svgIcon]="hasMatSvgIcon"
            >
                <ng-content select="[blui-primary]"></ng-content>
            </div>
            <span class="blui-hero-channel-value-wrapper">
                <ng-content select="blui-channel-value" *ngIf="value === undefined"></ng-content>
                <blui-channel-value
                    *ngIf="value !== undefined"
                    [value]="value"
                    [units]="units"
                    [unitSpace]="unitSpace"
                    [prefix]="prefix"
                >
                    <ng-content select="[blui-secondary]"></ng-content>
                </blui-channel-value>
            </span>
            <h5 class="blui-hero-label">{{ label }}</h5>
        </div>
    `, isInline: true, styles: [".blui-hero{display:flex}[dir=rtl] .blui-hero-content .blui-hero-primary-wrapper{display:flex;justify-content:flex-end}.blui-hero-content{display:flex;flex:1 1 0;flex-direction:column;align-items:center;justify-content:flex-start;font-size:1rem;overflow:hidden;padding:1rem 8px}.blui-hero-content .blui-hero-channel-value-wrapper{display:flex;font-size:1.25rem}.blui-hero-content .blui-hero-label{font-size:inherit;line-height:1.2;letter-spacing:0;font-weight:600;width:100%;text-align:center;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;margin:0}.blui-hero-content .blui-hero-primary-wrapper{border-radius:50%;margin-bottom:.5rem;text-align:center}.blui-hero-content .blui-hero-primary-wrapper .mat-icon{overflow:visible}.blui-hero-content .blui-hero-primary-wrapper *{display:flex;align-items:center;justify-content:center;font-size:100%}.blui-hero-content .blui-hero-primary-wrapper:not(.blui-hero-svgIcon)>*{width:100%;height:100%}.blui-hero-content .blui-hero-primary-wrapper:not(.blui-hero-svgIcon)>* svg{width:100%;height:100%}.blui-hero-content .blui-hero-primary-wrapper.blui-hero-svgIcon svg{transform-origin:top left}\n"], dependencies: [{ kind: "component", type: ChannelValueComponent, selector: "blui-channel-value", inputs: ["prefix", "units", "value", "color", "unitSpace"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-hero', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-hero-content">
            <div
                class="blui-hero-primary-wrapper"
                #primaryContainer
                [style.backgroundColor]="iconBackgroundColor"
                [style.lineHeight.px]="iSize"
                [style.fontSize.px]="iSize"
                [style.width.px]="iSize"
                [style.height.px]="iSize"
                [class.blui-hero-svgIcon]="hasMatSvgIcon"
            >
                <ng-content select="[blui-primary]"></ng-content>
            </div>
            <span class="blui-hero-channel-value-wrapper">
                <ng-content select="blui-channel-value" *ngIf="value === undefined"></ng-content>
                <blui-channel-value
                    *ngIf="value !== undefined"
                    [value]="value"
                    [units]="units"
                    [unitSpace]="unitSpace"
                    [prefix]="prefix"
                >
                    <ng-content select="[blui-secondary]"></ng-content>
                </blui-channel-value>
            </span>
            <h5 class="blui-hero-label">{{ label }}</h5>
        </div>
    `, host: {
                        class: 'blui-hero',
                    }, styles: [".blui-hero{display:flex}[dir=rtl] .blui-hero-content .blui-hero-primary-wrapper{display:flex;justify-content:flex-end}.blui-hero-content{display:flex;flex:1 1 0;flex-direction:column;align-items:center;justify-content:flex-start;font-size:1rem;overflow:hidden;padding:1rem 8px}.blui-hero-content .blui-hero-channel-value-wrapper{display:flex;font-size:1.25rem}.blui-hero-content .blui-hero-label{font-size:inherit;line-height:1.2;letter-spacing:0;font-weight:600;width:100%;text-align:center;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;margin:0}.blui-hero-content .blui-hero-primary-wrapper{border-radius:50%;margin-bottom:.5rem;text-align:center}.blui-hero-content .blui-hero-primary-wrapper .mat-icon{overflow:visible}.blui-hero-content .blui-hero-primary-wrapper *{display:flex;align-items:center;justify-content:center;font-size:100%}.blui-hero-content .blui-hero-primary-wrapper:not(.blui-hero-svgIcon)>*{width:100%;height:100%}.blui-hero-content .blui-hero-primary-wrapper:not(.blui-hero-svgIcon)>* svg{width:100%;height:100%}.blui-hero-content .blui-hero-primary-wrapper.blui-hero-svgIcon svg{transform-origin:top left}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { prefix: [{
                type: Input
            }], color: [{
                type: Input
            }], iconBackgroundColor: [{
                type: Input
            }], iconSize: [{
                type: Input
            }], label: [{
                type: Input
            }], scaleSvgIcon: [{
                type: Input
            }], units: [{
                type: Input
            }], value: [{
                type: Input
            }], unitSpace: [{
                type: Input
            }], primaryContainer: [{
                type: ViewChild,
                args: ['primaryContainer']
            }] } });

class HeroModule {
}
HeroModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
HeroModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: HeroModule, declarations: [HeroComponent, HeroBannerComponent], imports: [MatDividerModule, ChannelValueModule, CommonModule], exports: [HeroComponent, HeroBannerComponent] });
HeroModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroModule, imports: [MatDividerModule, ChannelValueModule, CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: HeroModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [HeroComponent, HeroBannerComponent],
                    imports: [MatDividerModule, ChannelValueModule, CommonModule],
                    exports: [HeroComponent, HeroBannerComponent],
                }]
        }] });

/*
 * Public API Surface of hero
 */

/**
 * [ScoreCard Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-score-card--readme)
 *
 `<blui-score-card>` is a card component that calls attention to particular values.
 */
class ScoreCardComponent {
    constructor() {
        /** Vertical offset for the badge content
         *
         * @default 0
         * */
        this.badgeOffset = 0;
    }
    ngOnChanges() {
        requireInput(['headerTitle'], this);
    }
    getBadgeOffset() {
        if (isNaN(this.badgeOffset)) {
            return 'inherit';
        }
        return this.badgeOffset;
    }
}
ScoreCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ScoreCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: ScoreCardComponent, selector: "blui-score-card", inputs: { badgeOffset: "badgeOffset", headerInfo: "headerInfo", headerSubtitle: "headerSubtitle", headerTitle: "headerTitle" }, host: { classAttribute: "blui-score-card" }, usesOnChanges: true, ngImport: i0, template: `
        <mat-card class="blui-score-card-content">
            <div class="blui-score-card-header">
                <div class="blui-score-card-header-background"></div>
                <div class="blui-score-card-header-wrapper">
                    <div class="blui-score-card-header-text">
                        <mat-card-title class="blui-score-card-title">{{ headerTitle }}</mat-card-title>
                        <mat-card-subtitle class="blui-score-card-subtitle">{{ headerSubtitle }}</mat-card-subtitle>
                        <mat-card-subtitle class="blui-score-card-info">{{ headerInfo }}</mat-card-subtitle>
                    </div>
                    <div class="blui-score-card-action-items-wrapper">
                        <ng-content select="[blui-action-items]"></ng-content>
                    </div>
                </div>
            </div>
            <mat-card-content>
                <div class="blui-score-card-body">
                    <ng-content select="[blui-body]"></ng-content>
                    <div class="blui-score-card-badge-wrapper" [style.marginTop.px]="getBadgeOffset()">
                        <ng-content select="[blui-badge]"></ng-content>
                    </div>
                </div>
                <mat-divider *ngIf="actionRow.childNodes.length !== 0"></mat-divider>
                <div class="blui-score-card-action-row-wrapper" #actionRow>
                    <ng-content select="[blui-action-row]"></ng-content>
                </div>
            </mat-card-content>
        </mat-card>
    `, isInline: true, styles: ["[dir=rtl] .blui-score-card-header .blui-score-card-action-items-wrapper>*{margin-right:0;margin-left:16px}[dir=rtl] .blui-score-card-header .blui-score-card-action-items-wrapper>:last-child{margin-left:0}.blui-score-card{display:flex}.blui-score-card-content.mat-card{display:flex;flex-direction:column;width:100%;padding:0}.blui-score-card-header{border-top-left-radius:inherit;border-top-right-radius:inherit;height:6.5rem;box-sizing:border-box;position:relative}.blui-score-card-header *{color:inherit;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.blui-score-card-header .blui-score-card-header-background{position:absolute;width:100%;height:100%;opacity:.3;background-position:center;background-size:cover;pointer-events:none}.blui-score-card-header .blui-score-card-header-wrapper{padding:1rem 16px 0;display:flex;justify-content:space-between}.blui-score-card-header .blui-score-card-action-items-wrapper{text-overflow:unset;overflow:unset}.blui-score-card-header .blui-score-card-action-items-wrapper>*{cursor:pointer;margin-right:16px;text-align:center;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-score-card-header .blui-score-card-action-items-wrapper>:last-child{margin-right:0}.blui-score-card-header .blui-score-card-title{font-weight:600;line-height:1.4;font-size:1.25rem;margin-bottom:.25rem}.blui-score-card-header .blui-score-card-subtitle{font-size:.875rem;font-weight:400;margin:0 0 .25rem;line-height:1.4}.blui-score-card-header .blui-score-card-info{font-size:.875rem;font-weight:300;line-height:1.4}.blui-score-card-body{display:flex;justify-content:space-between;align-items:center}.blui-score-card-body .blui-score-card-badge-wrapper{z-index:1;margin-left:16px;margin-right:16px}.blui-score-card-action-row-wrapper{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i2$4.MatCardContent, selector: "mat-card-content, [mat-card-content], [matCardContent]" }, { kind: "directive", type: i2$4.MatCardTitle, selector: "mat-card-title, [mat-card-title], [matCardTitle]" }, { kind: "directive", type: i2$4.MatCardSubtitle, selector: "mat-card-subtitle, [mat-card-subtitle], [matCardSubtitle]" }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-score-card', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <mat-card class="blui-score-card-content">
            <div class="blui-score-card-header">
                <div class="blui-score-card-header-background"></div>
                <div class="blui-score-card-header-wrapper">
                    <div class="blui-score-card-header-text">
                        <mat-card-title class="blui-score-card-title">{{ headerTitle }}</mat-card-title>
                        <mat-card-subtitle class="blui-score-card-subtitle">{{ headerSubtitle }}</mat-card-subtitle>
                        <mat-card-subtitle class="blui-score-card-info">{{ headerInfo }}</mat-card-subtitle>
                    </div>
                    <div class="blui-score-card-action-items-wrapper">
                        <ng-content select="[blui-action-items]"></ng-content>
                    </div>
                </div>
            </div>
            <mat-card-content>
                <div class="blui-score-card-body">
                    <ng-content select="[blui-body]"></ng-content>
                    <div class="blui-score-card-badge-wrapper" [style.marginTop.px]="getBadgeOffset()">
                        <ng-content select="[blui-badge]"></ng-content>
                    </div>
                </div>
                <mat-divider *ngIf="actionRow.childNodes.length !== 0"></mat-divider>
                <div class="blui-score-card-action-row-wrapper" #actionRow>
                    <ng-content select="[blui-action-row]"></ng-content>
                </div>
            </mat-card-content>
        </mat-card>
    `, host: {
                        class: 'blui-score-card',
                    }, styles: ["[dir=rtl] .blui-score-card-header .blui-score-card-action-items-wrapper>*{margin-right:0;margin-left:16px}[dir=rtl] .blui-score-card-header .blui-score-card-action-items-wrapper>:last-child{margin-left:0}.blui-score-card{display:flex}.blui-score-card-content.mat-card{display:flex;flex-direction:column;width:100%;padding:0}.blui-score-card-header{border-top-left-radius:inherit;border-top-right-radius:inherit;height:6.5rem;box-sizing:border-box;position:relative}.blui-score-card-header *{color:inherit;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.blui-score-card-header .blui-score-card-header-background{position:absolute;width:100%;height:100%;opacity:.3;background-position:center;background-size:cover;pointer-events:none}.blui-score-card-header .blui-score-card-header-wrapper{padding:1rem 16px 0;display:flex;justify-content:space-between}.blui-score-card-header .blui-score-card-action-items-wrapper{text-overflow:unset;overflow:unset}.blui-score-card-header .blui-score-card-action-items-wrapper>*{cursor:pointer;margin-right:16px;text-align:center;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-score-card-header .blui-score-card-action-items-wrapper>:last-child{margin-right:0}.blui-score-card-header .blui-score-card-title{font-weight:600;line-height:1.4;font-size:1.25rem;margin-bottom:.25rem}.blui-score-card-header .blui-score-card-subtitle{font-size:.875rem;font-weight:400;margin:0 0 .25rem;line-height:1.4}.blui-score-card-header .blui-score-card-info{font-size:.875rem;font-weight:300;line-height:1.4}.blui-score-card-body{display:flex;justify-content:space-between;align-items:center}.blui-score-card-body .blui-score-card-badge-wrapper{z-index:1;margin-left:16px;margin-right:16px}.blui-score-card-action-row-wrapper{cursor:pointer}\n"] }]
        }], propDecorators: { badgeOffset: [{
                type: Input
            }], headerInfo: [{
                type: Input
            }], headerSubtitle: [{
                type: Input
            }], headerTitle: [{
                type: Input
            }] } });

class ScoreCardModule {
}
ScoreCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ScoreCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardModule, declarations: [ScoreCardComponent], imports: [CommonModule, MatCardModule, MatDividerModule], exports: [ScoreCardComponent] });
ScoreCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardModule, imports: [CommonModule, MatCardModule, MatDividerModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ScoreCardModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ScoreCardComponent],
                    imports: [CommonModule, MatCardModule, MatDividerModule],
                    exports: [ScoreCardComponent],
                }]
        }] });

/**
 * [ListItemTag Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-list-item-tag--readme)
 *
 * The `<blui-list-item-tag>` is a text item with a colored background and rounded corners that is used to tag lists.
 */
class ListItemTagComponent {
    ngOnChanges() {
        requireInput(['label'], this);
    }
}
ListItemTagComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ListItemTagComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: ListItemTagComponent, selector: "blui-list-item-tag", inputs: { backgroundColor: "backgroundColor", fontColor: "fontColor", label: "label" }, host: { classAttribute: "blui-list-item-tag" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"blui-list-item-tag-content\" [style.backgroundColor]=\"backgroundColor\">\n    <div class=\"mat-small blui-list-item-tag-label\" [style.color]=\"fontColor\">\n        {{ label }}\n    </div>\n</div>\n", styles: [".blui-list-item-tag{display:inline-block}.blui-list-item-tag,.blui-list-item-tag-content{border-radius:.125rem}.blui-list-item-tag-content{padding:0 .25rem;overflow:hidden}.blui-list-item-tag-content .blui-list-item-tag-label{font-weight:700;text-transform:uppercase;letter-spacing:1px;margin-right:-1px;line-height:1rem;font-size:.625rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-list-item-tag', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        class: 'blui-list-item-tag',
                    }, template: "<div class=\"blui-list-item-tag-content\" [style.backgroundColor]=\"backgroundColor\">\n    <div class=\"mat-small blui-list-item-tag-label\" [style.color]=\"fontColor\">\n        {{ label }}\n    </div>\n</div>\n", styles: [".blui-list-item-tag{display:inline-block}.blui-list-item-tag,.blui-list-item-tag-content{border-radius:.125rem}.blui-list-item-tag-content{padding:0 .25rem;overflow:hidden}.blui-list-item-tag-content .blui-list-item-tag-label{font-weight:700;text-transform:uppercase;letter-spacing:1px;margin-right:-1px;line-height:1rem;font-size:.625rem}\n"] }]
        }], propDecorators: { backgroundColor: [{
                type: Input
            }], fontColor: [{
                type: Input
            }], label: [{
                type: Input
            }] } });

class ListItemTagModule {
}
ListItemTagModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ListItemTagModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagModule, declarations: [ListItemTagComponent], exports: [ListItemTagComponent] });
ListItemTagModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ListItemTagModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ListItemTagComponent],
                    exports: [ListItemTagComponent],
                }]
        }] });

/*
 * Public API Surface of List Item Tag
 */

/**
 * [ThreeLiner Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-three-liner--readme)
 *
 * The `<blui-three-liner>` can display up to three lines of stylized text or other ng-content.
 * It is most commonly used within the context of a `<blui-md-bar>` component where the text can grow / shrink as the App Bar is expanded and collapsed.
 */
class ThreeLinerComponent {
    constructor(_ref) {
        this._ref = _ref;
        this.isEmpty = (el) => isEmptyView(el);
    }
    ngAfterViewInit() {
        this._ref.detectChanges();
    }
}
ThreeLinerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
ThreeLinerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: ThreeLinerComponent, selector: "blui-three-liner", inputs: { title: "title", subtitle: "subtitle", info: "info" }, host: { classAttribute: "blui-three-liner" }, viewQueries: [{ propertyName: "titleEl", first: true, predicate: ["titleVc"], descendants: true }, { propertyName: "subtitleEl", first: true, predicate: ["subtitleVc"], descendants: true }, { propertyName: "infoEl", first: true, predicate: ["infoVc"], descendants: true }], ngImport: i0, template: `
        <div class="blui-three-liner-content">
            <div class="blui-three-liner-title">
                <div #titleVc>
                    <ng-content select="[blui-title]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(titleEl)">
                    {{ title }}
                </ng-container>
            </div>

            <div class="blui-three-liner-subtitle">
                <div #subtitleVc>
                    <ng-content select="[blui-subtitle]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(subtitleEl)">
                    {{ subtitle }}
                </ng-container>
            </div>

            <div class="blui-three-liner-info">
                <div #infoVc>
                    <ng-content select="[blui-info]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(infoEl)">
                    {{ info }}
                </ng-container>
            </div>
        </div>
    `, isInline: true, styles: [".blui-three-liner{display:flex}.blui-three-liner-title{font-size:1.875rem;transition:all .3s,color 0s,background-color 0s}.blui-three-liner-subtitle{font-size:1rem;transition:all .3s,color 0s,background-color 0s}.blui-three-liner-info{font-size:.875rem;font-weight:300;transition:all .3s,color 0s,background-color 0s}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-three-liner', encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-three-liner-content">
            <div class="blui-three-liner-title">
                <div #titleVc>
                    <ng-content select="[blui-title]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(titleEl)">
                    {{ title }}
                </ng-container>
            </div>

            <div class="blui-three-liner-subtitle">
                <div #subtitleVc>
                    <ng-content select="[blui-subtitle]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(subtitleEl)">
                    {{ subtitle }}
                </ng-container>
            </div>

            <div class="blui-three-liner-info">
                <div #infoVc>
                    <ng-content select="[blui-info]"></ng-content>
                </div>
                <ng-container *ngIf="isEmpty(infoEl)">
                    {{ info }}
                </ng-container>
            </div>
        </div>
    `, host: {
                        class: 'blui-three-liner',
                    }, styles: [".blui-three-liner{display:flex}.blui-three-liner-title{font-size:1.875rem;transition:all .3s,color 0s,background-color 0s}.blui-three-liner-subtitle{font-size:1rem;transition:all .3s,color 0s,background-color 0s}.blui-three-liner-info{font-size:.875rem;font-weight:300;transition:all .3s,color 0s,background-color 0s}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { title: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], info: [{
                type: Input
            }], titleEl: [{
                type: ViewChild,
                args: ['titleVc']
            }], subtitleEl: [{
                type: ViewChild,
                args: ['subtitleVc']
            }], infoEl: [{
                type: ViewChild,
                args: ['infoVc']
            }] } });

class ThreeLinerModule {
}
ThreeLinerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ThreeLinerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerModule, declarations: [ThreeLinerComponent], imports: [CommonModule], exports: [ThreeLinerComponent] });
ThreeLinerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ThreeLinerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ThreeLinerComponent],
                    imports: [CommonModule],
                    exports: [ThreeLinerComponent],
                }]
        }] });

class UserMenuAvatarComponent {
}
UserMenuAvatarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuAvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UserMenuAvatarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: UserMenuAvatarComponent, selector: "blui-user-menu-avatar", inputs: { avatarValue: "avatarValue", avatarImage: "avatarImage" }, host: { classAttribute: "blui-user-menu-avatar" }, ngImport: i0, template: `
        <div class="blui-user-menu-avatar-content">
            <div *ngIf="avatarValue" class="mat-h2 blui-user-menu-text-avatar">{{ avatarValue }}</div>
            <img *ngIf="avatarImage" [src]="avatarImage" alt="User Menu Avatar" />
            <ng-content></ng-content>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuAvatarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-user-menu-avatar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    encapsulation: ViewEncapsulation.None,
                    template: `
        <div class="blui-user-menu-avatar-content">
            <div *ngIf="avatarValue" class="mat-h2 blui-user-menu-text-avatar">{{ avatarValue }}</div>
            <img *ngIf="avatarImage" [src]="avatarImage" alt="User Menu Avatar" />
            <ng-content></ng-content>
        </div>
    `,
                    host: {
                        class: 'blui-user-menu-avatar',
                    },
                }]
        }], propDecorators: { avatarValue: [{
                type: Input
            }], avatarImage: [{
                type: Input
            }] } });

/**
 * [UserMenuHeaderComponent Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-user-menu--readme)
 *
 * The `<blui-user-menu-header>` is the menu header of the `<blui-user-menu>`.
 */
class UserMenuHeaderComponent {
    constructor() {
        /** Mat toolbar color variant
         *
         * @default primary
         * */
        this.color = 'primary';
        /** Show a divider below footer
         *
         * @default false
         * */
        this.divider = false;
        this.isEmpty = (el) => isEmptyView(el);
    }
}
UserMenuHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
UserMenuHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: UserMenuHeaderComponent, selector: "blui-user-menu-header", inputs: { color: "color", divider: "divider", subtitle: "subtitle", title: "title" }, host: { classAttribute: "blui-user-menu-header" }, viewQueries: [{ propertyName: "iconEl", first: true, predicate: ["icon"], descendants: true, static: true }], ngImport: i0, template: `
        <mat-toolbar
            class="blui-user-menu-header-content"
            [color]="color"
            [class.blui-user-menu-header-no-icon]="isEmpty(iconEl)"
        >
            <div class="blui-user-menu-header-text">
                <div #icon class="blui-user-menu-header-icon-wrapper">
                    <ng-content select="[blui-icon]"></ng-content>
                </div>
                <div *ngIf="title" class="blui-user-menu-header-title-wrapper">
                    <div class="blui-user-menu-header-title">{{ title }}</div>
                    <div *ngIf="subtitle" class="blui-user-menu-header-subtitle mat-subheading-2">{{ subtitle }}</div>
                </div>
                <ng-content select="[blui-title-content]"></ng-content>
            </div>
        </mat-toolbar>
        <mat-divider *ngIf="divider"></mat-divider>
    `, isInline: true, styles: ["[dir=rtl] .blui-user-menu-header-content .blui-user-menu-header-icon-wrapper{margin-right:-.5rem;margin-left:calc(24px + (1rem - 16px)/2)}[dir=rtl] .blui-user-menu-header-content.blui-user-menu-header-no-icon .blui-user-menu-header-icon-wrapper{margin-right:0;margin-left:0}.blui-user-menu-header-content{width:100%;align-items:flex-start;box-sizing:border-box;position:relative;overflow:hidden;display:flex;height:4rem}.blui-user-menu-header-content.mat-toolbar-single-row.mat-toolbar{padding-right:16px;padding-left:16px}.blui-user-menu-header-content .blui-user-menu-header-text{z-index:2;display:flex;width:100%;height:100%}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper{display:flex;align-items:center;z-index:1;margin-right:calc(24px + (1rem - 16px)/2);margin-left:-.5rem;width:2.5rem}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper .mat-icon-button{height:2.5rem;width:2.5rem;line-height:2.5rem}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper .mat-icon-button .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem;height:unset}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper:empty{width:0;margin:0}.blui-user-menu-header-content.blui-user-menu-header-no-icon .blui-user-menu-header-icon-wrapper{width:0;margin:0}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper{display:flex;justify-content:center;align-self:stretch;flex-direction:column;width:calc(100% - 3.5rem);box-sizing:border-box;z-index:1}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-title{font-weight:600;line-height:1.6rem;overflow:hidden;text-overflow:ellipsis}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-subtitle{font-weight:300;line-height:1.3rem;margin-top:-.125rem;overflow:hidden;text-overflow:ellipsis}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-subtitle.mat-subheading-2{margin-bottom:0}@media (max-width: 599px){.blui-user-menu-header-content{height:3.5rem}}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i1.MatToolbar, selector: "mat-toolbar", inputs: ["color"], exportAs: ["matToolbar"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-user-menu-header', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, template: `
        <mat-toolbar
            class="blui-user-menu-header-content"
            [color]="color"
            [class.blui-user-menu-header-no-icon]="isEmpty(iconEl)"
        >
            <div class="blui-user-menu-header-text">
                <div #icon class="blui-user-menu-header-icon-wrapper">
                    <ng-content select="[blui-icon]"></ng-content>
                </div>
                <div *ngIf="title" class="blui-user-menu-header-title-wrapper">
                    <div class="blui-user-menu-header-title">{{ title }}</div>
                    <div *ngIf="subtitle" class="blui-user-menu-header-subtitle mat-subheading-2">{{ subtitle }}</div>
                </div>
                <ng-content select="[blui-title-content]"></ng-content>
            </div>
        </mat-toolbar>
        <mat-divider *ngIf="divider"></mat-divider>
    `, host: {
                        class: 'blui-user-menu-header',
                    }, styles: ["[dir=rtl] .blui-user-menu-header-content .blui-user-menu-header-icon-wrapper{margin-right:-.5rem;margin-left:calc(24px + (1rem - 16px)/2)}[dir=rtl] .blui-user-menu-header-content.blui-user-menu-header-no-icon .blui-user-menu-header-icon-wrapper{margin-right:0;margin-left:0}.blui-user-menu-header-content{width:100%;align-items:flex-start;box-sizing:border-box;position:relative;overflow:hidden;display:flex;height:4rem}.blui-user-menu-header-content.mat-toolbar-single-row.mat-toolbar{padding-right:16px;padding-left:16px}.blui-user-menu-header-content .blui-user-menu-header-text{z-index:2;display:flex;width:100%;height:100%}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper{display:flex;align-items:center;z-index:1;margin-right:calc(24px + (1rem - 16px)/2);margin-left:-.5rem;width:2.5rem}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper .mat-icon-button{height:2.5rem;width:2.5rem;line-height:2.5rem}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper .mat-icon-button .mat-icon{font-size:1.5rem;height:1.5rem;width:1.5rem;height:unset}.blui-user-menu-header-content .blui-user-menu-header-icon-wrapper:empty{width:0;margin:0}.blui-user-menu-header-content.blui-user-menu-header-no-icon .blui-user-menu-header-icon-wrapper{width:0;margin:0}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper{display:flex;justify-content:center;align-self:stretch;flex-direction:column;width:calc(100% - 3.5rem);box-sizing:border-box;z-index:1}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-title{font-weight:600;line-height:1.6rem;overflow:hidden;text-overflow:ellipsis}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-subtitle{font-weight:300;line-height:1.3rem;margin-top:-.125rem;overflow:hidden;text-overflow:ellipsis}.blui-user-menu-header-content .blui-user-menu-header-title-wrapper .blui-user-menu-header-subtitle.mat-subheading-2{margin-bottom:0}@media (max-width: 599px){.blui-user-menu-header-content{height:3.5rem}}\n"] }]
        }], propDecorators: { color: [{
                type: Input
            }], divider: [{
                type: Input
            }], subtitle: [{
                type: Input
            }], title: [{
                type: Input
            }], iconEl: [{
                type: ViewChild,
                args: ['icon', { static: true }]
            }] } });

/**
 * [UserMenu Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-user-menu--readme)
 *
 * The `<blui-user-menu>` is an Avatar that opens a Menu when clicked.
 * It is typically used in the top-right corner of an application and indicates who is logged in.
 */
class UserMenuComponent {
    constructor(_bottomSheet, _ref) {
        this._bottomSheet = _bottomSheet;
        this._ref = _ref;
        /** Where to render the menu relative to the avatar */
        this.positions = [
            new ConnectionPositionPair({ originX: 'start', originY: 'top' }, { overlayX: 'start', overlayY: 'top' }),
        ];
        /** Window pixel width at which the responsive bottom sheet menu is triggered (set to 0 to disable responsive behavior)
         *
         * @default 600
         * */
        this.useBottomSheetAt = 600;
        /** Emits event when backdrop is clicked */
        this.backdropClick = new EventEmitter();
        /** Emits an event when the open prop changes */
        this.openChange = new EventEmitter();
        this.checkScreenSize = () => document.body.offsetWidth < this.useBottomSheetAt;
    }
    ngOnInit() {
        requireInput(['open'], this);
        // Subscribe to resize events and transition from menu to bottomsheet (or vise versa) when open & resizing
        this.screenSizeChangeListener = fromEvent(window, 'resize')
            .pipe(map(this.checkScreenSize))
            .pipe(startWith(this.checkScreenSize()))
            .subscribe((isMobile) => {
            // Transition from Desktop to Mobile
            if (this.open && isMobile && !this.useBottomSheet) {
                this.isMenuOpen = false;
                this.openBottomSheet();
                this._ref.detectChanges();
            }
            // Transition from Mobile to Desktop
            else if (this.open && !isMobile && this.useBottomSheet) {
                this._bottomSheet.dismiss(true);
            }
            this.useBottomSheet = isMobile;
        });
    }
    ngOnChanges(changes) {
        // Set state and dismiss bottom sheet when open() changes.
        if (changes.open) {
            // State changes from closed to open.
            const openState = changes.open;
            if (openState.currentValue === true && (openState.previousValue === false || openState.isFirstChange())) {
                if (this.useBottomSheet) {
                    this.openBottomSheet();
                }
                else {
                    this.isMenuOpen = true;
                }
            }
            // State changes from open to closed.
            if (openState.currentValue === false && (openState.previousValue === true || openState.isFirstChange())) {
                this.isMenuOpen = false;
                this._bottomSheet.dismiss(false);
            }
        }
        if (changes.useBottomSheetAt) {
            this.useBottomSheet = this.checkScreenSize();
        }
    }
    ngOnDestroy() {
        if (this.screenSizeChangeListener) {
            this.screenSizeChangeListener.unsubscribe();
        }
    }
    onClickMenuBackdrop() {
        this.openChange.emit(false);
        this.backdropClick.emit();
    }
    openOverlay() {
        // If the bottom sheet is being dismissed, ignore subsequent open calls.
        if (this.isBottomSheetDismissing) {
            return;
        }
        this.openChange.emit(true);
    }
    openBottomSheet() {
        // Do not invoke the bottom sheet until `menu` has been rendered.
        this._ref.detectChanges();
        const bottomSheetRef = this._bottomSheet.open(this.menu, {
            backdropClass: 'blui-user-menu-bottomsheet-backdrop',
            panelClass: 'blui-user-menu-bottomsheet',
            hasBackdrop: true,
        });
        bottomSheetRef.afterDismissed().subscribe((openMenu) => {
            this.isBottomSheetDismissing = false;
            this.isMenuOpen = Boolean(openMenu);
            this._ref.detectChanges();
        });
        bottomSheetRef.keydownEvents().subscribe((key) => {
            this.dismissViaEscape(key);
        });
        bottomSheetRef.backdropClick().subscribe(() => {
            this.isBottomSheetDismissing = true;
            this.openChange.emit(false);
            this.backdropClick.emit();
        });
    }
    dismissViaEscape(e) {
        if (e && e.key && e.key.toLowerCase() === 'escape') {
            this.openChange.emit(false);
        }
    }
}
UserMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuComponent, deps: [{ token: i1$1.MatBottomSheet }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
UserMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: UserMenuComponent, selector: "blui-user-menu", inputs: { avatarImage: "avatarImage", avatarValue: "avatarValue", menuSubtitle: "menuSubtitle", menuTitle: "menuTitle", positions: "positions", open: "open", useBottomSheetAt: "useBottomSheetAt" }, outputs: { backdropClick: "backdropClick", openChange: "openChange" }, host: { classAttribute: "blui-user-menu" }, viewQueries: [{ propertyName: "menu", first: true, predicate: TemplateRef, descendants: true }], usesOnChanges: true, ngImport: i0, template: `
        <!-- This button triggers the overlay and is it's origin -->
        <blui-user-menu-avatar
            cdkOverlayOrigin
            [avatarValue]="avatarValue"
            [avatarImage]="avatarImage"
            (click)="openOverlay()"
            #trigger="cdkOverlayOrigin"
        >
            <ng-content select="[blui-avatar]"></ng-content>
        </blui-user-menu-avatar>

        <ng-template #menu>
            <blui-user-menu-header
                *ngIf="menuTitle"
                class="blui-user-menu-header"
                [title]="menuTitle"
                [subtitle]="menuSubtitle"
                [divider]="true"
            >
                <blui-user-menu-avatar
                    blui-icon
                    [avatarValue]="avatarValue"
                    [avatarImage]="avatarImage"
                    class="blui-user-menu-header-avatar"
                >
                    <ng-content select="[blui-menu-avatar]"></ng-content>
                </blui-user-menu-avatar>
            </blui-user-menu-header>
            <ng-content select="[blui-menu-header]"></ng-content>
            <ng-content select="[blui-menu-body]"></ng-content>
        </ng-template>

        <ng-template
            cdkConnectedOverlay
            (overlayKeydown)="dismissViaEscape($event)"
            (backdropClick)="onClickMenuBackdrop()"
            [cdkConnectedOverlayPush]="true"
            [cdkConnectedOverlayHasBackdrop]="true"
            [cdkConnectedOverlayOrigin]="trigger"
            [cdkConnectedOverlayOpen]="isMenuOpen"
            [cdkConnectedOverlayPositions]="positions"
            [cdkConnectedOverlayViewportMargin]="16"
            [cdkConnectedOverlayBackdropClass]="'blui-user-menu-overlay-backdrop'"
        >
            <mat-card class="blui-user-menu-overlay mat-elevation-z8" [@fade-in-out]>
                <ng-template [ngTemplateOutlet]="menu"></ng-template>
            </mat-card>
        </ng-template>
    `, isInline: true, styles: [".blui-user-menu{display:flex}.blui-user-menu-avatar{display:flex;border-radius:50%}.blui-user-menu-avatar-content{height:2.5rem;width:2.5rem;line-height:2.5rem;cursor:pointer;text-align:center;display:flex;justify-content:center;align-content:center}.blui-user-menu-avatar-content img{width:100%;height:100%}.blui-user-menu-avatar-content .mat-icon{align-self:center;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-user-menu-avatar-content .blui-user-menu-text-avatar{margin-bottom:0;font-weight:400;line-height:2.5rem}mat-card.blui-user-menu-overlay{padding:0}.blui-user-menu-header mat-toolbar{border-top-left-radius:4px;border-top-right-radius:4px}.blui-user-menu-header mat-toolbar .blui-drawer-header-title{font-size:1rem}.blui-user-menu-header mat-toolbar .blui-drawer-header-subtitle{font-size:.875rem}.blui-user-menu-bottomsheet .blui-user-menu-header mat-toolbar{border-top-left-radius:0;border-top-right-radius:0}.cdk-overlay-backdrop-showing.blui-user-menu-overlay-backdrop{background-color:unset}.cdk-overlay-backdrop-showing.blui-user-menu-bottomsheet-backdrop{background-color:#424e54;opacity:.5}.cdk-overlay-backdrop.blui-user-menu-bottomsheet-backdrop,.cdk-overlay-backdrop.blui-user-menu-overlay-backdrop{transition:all .4s cubic-bezier(.25,.8,.25,1)}.blui-user-menu-overlay .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper,.blui-user-menu-bottomsheet .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper{font-weight:400}.blui-user-menu-bottomsheet.mat-bottom-sheet-container{padding:0}.blui-user-menu-bottomsheet .mat-toolbar-single-row{height:4rem}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i3$2.CdkConnectedOverlay, selector: "[cdk-connected-overlay], [connected-overlay], [cdkConnectedOverlay]", inputs: ["cdkConnectedOverlayOrigin", "cdkConnectedOverlayPositions", "cdkConnectedOverlayPositionStrategy", "cdkConnectedOverlayOffsetX", "cdkConnectedOverlayOffsetY", "cdkConnectedOverlayWidth", "cdkConnectedOverlayHeight", "cdkConnectedOverlayMinWidth", "cdkConnectedOverlayMinHeight", "cdkConnectedOverlayBackdropClass", "cdkConnectedOverlayPanelClass", "cdkConnectedOverlayViewportMargin", "cdkConnectedOverlayScrollStrategy", "cdkConnectedOverlayOpen", "cdkConnectedOverlayDisableClose", "cdkConnectedOverlayTransformOriginOn", "cdkConnectedOverlayHasBackdrop", "cdkConnectedOverlayLockPosition", "cdkConnectedOverlayFlexibleDimensions", "cdkConnectedOverlayGrowAfterOpen", "cdkConnectedOverlayPush"], outputs: ["backdropClick", "positionChange", "attach", "detach", "overlayKeydown", "overlayOutsideClick"], exportAs: ["cdkConnectedOverlay"] }, { kind: "directive", type: i3$2.CdkOverlayOrigin, selector: "[cdk-overlay-origin], [overlay-origin], [cdkOverlayOrigin]", exportAs: ["cdkOverlayOrigin"] }, { kind: "component", type: i2$4.MatCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "component", type: UserMenuAvatarComponent, selector: "blui-user-menu-avatar", inputs: ["avatarValue", "avatarImage"] }, { kind: "component", type: UserMenuHeaderComponent, selector: "blui-user-menu-header", inputs: ["color", "divider", "subtitle", "title"] }], animations: [
        trigger('fade-in-out', [
            state('*', style({ opacity: 1, transform: 'scaleY(1)', 'transform-origin': 'top' })),
            // Create
            transition('void => *', [
                style({ opacity: 0, transform: 'scaleY(0.9)', 'transform-origin': 'top' }),
                animate('120ms cubic-bezier(0, 0, 0.2, 1)'),
            ]),
            // Destroy
            transition('* => void', animate('100ms 25ms linear', style({ opacity: 0 }))),
        ]),
    ], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-user-menu', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, animations: [
                        trigger('fade-in-out', [
                            state('*', style({ opacity: 1, transform: 'scaleY(1)', 'transform-origin': 'top' })),
                            // Create
                            transition('void => *', [
                                style({ opacity: 0, transform: 'scaleY(0.9)', 'transform-origin': 'top' }),
                                animate('120ms cubic-bezier(0, 0, 0.2, 1)'),
                            ]),
                            // Destroy
                            transition('* => void', animate('100ms 25ms linear', style({ opacity: 0 }))),
                        ]),
                    ], template: `
        <!-- This button triggers the overlay and is it's origin -->
        <blui-user-menu-avatar
            cdkOverlayOrigin
            [avatarValue]="avatarValue"
            [avatarImage]="avatarImage"
            (click)="openOverlay()"
            #trigger="cdkOverlayOrigin"
        >
            <ng-content select="[blui-avatar]"></ng-content>
        </blui-user-menu-avatar>

        <ng-template #menu>
            <blui-user-menu-header
                *ngIf="menuTitle"
                class="blui-user-menu-header"
                [title]="menuTitle"
                [subtitle]="menuSubtitle"
                [divider]="true"
            >
                <blui-user-menu-avatar
                    blui-icon
                    [avatarValue]="avatarValue"
                    [avatarImage]="avatarImage"
                    class="blui-user-menu-header-avatar"
                >
                    <ng-content select="[blui-menu-avatar]"></ng-content>
                </blui-user-menu-avatar>
            </blui-user-menu-header>
            <ng-content select="[blui-menu-header]"></ng-content>
            <ng-content select="[blui-menu-body]"></ng-content>
        </ng-template>

        <ng-template
            cdkConnectedOverlay
            (overlayKeydown)="dismissViaEscape($event)"
            (backdropClick)="onClickMenuBackdrop()"
            [cdkConnectedOverlayPush]="true"
            [cdkConnectedOverlayHasBackdrop]="true"
            [cdkConnectedOverlayOrigin]="trigger"
            [cdkConnectedOverlayOpen]="isMenuOpen"
            [cdkConnectedOverlayPositions]="positions"
            [cdkConnectedOverlayViewportMargin]="16"
            [cdkConnectedOverlayBackdropClass]="'blui-user-menu-overlay-backdrop'"
        >
            <mat-card class="blui-user-menu-overlay mat-elevation-z8" [@fade-in-out]>
                <ng-template [ngTemplateOutlet]="menu"></ng-template>
            </mat-card>
        </ng-template>
    `, host: {
                        class: 'blui-user-menu',
                    }, styles: [".blui-user-menu{display:flex}.blui-user-menu-avatar{display:flex;border-radius:50%}.blui-user-menu-avatar-content{height:2.5rem;width:2.5rem;line-height:2.5rem;cursor:pointer;text-align:center;display:flex;justify-content:center;align-content:center}.blui-user-menu-avatar-content img{width:100%;height:100%}.blui-user-menu-avatar-content .mat-icon{align-self:center;font-size:1.5rem;height:1.5rem;width:1.5rem}.blui-user-menu-avatar-content .blui-user-menu-text-avatar{margin-bottom:0;font-weight:400;line-height:2.5rem}mat-card.blui-user-menu-overlay{padding:0}.blui-user-menu-header mat-toolbar{border-top-left-radius:4px;border-top-right-radius:4px}.blui-user-menu-header mat-toolbar .blui-drawer-header-title{font-size:1rem}.blui-user-menu-header mat-toolbar .blui-drawer-header-subtitle{font-size:.875rem}.blui-user-menu-bottomsheet .blui-user-menu-header mat-toolbar{border-top-left-radius:0;border-top-right-radius:0}.cdk-overlay-backdrop-showing.blui-user-menu-overlay-backdrop{background-color:unset}.cdk-overlay-backdrop-showing.blui-user-menu-bottomsheet-backdrop{background-color:#424e54;opacity:.5}.cdk-overlay-backdrop.blui-user-menu-bottomsheet-backdrop,.cdk-overlay-backdrop.blui-user-menu-overlay-backdrop{transition:all .4s cubic-bezier(.25,.8,.25,1)}.blui-user-menu-overlay .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper,.blui-user-menu-bottomsheet .mat-list-base .mat-list-item.blui-info-list-item-content .blui-info-list-item-title-wrapper{font-weight:400}.blui-user-menu-bottomsheet.mat-bottom-sheet-container{padding:0}.blui-user-menu-bottomsheet .mat-toolbar-single-row{height:4rem}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$1.MatBottomSheet }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { avatarImage: [{
                type: Input
            }], avatarValue: [{
                type: Input
            }], menuSubtitle: [{
                type: Input
            }], menuTitle: [{
                type: Input
            }], positions: [{
                type: Input
            }], open: [{
                type: Input
            }], useBottomSheetAt: [{
                type: Input
            }], backdropClick: [{
                type: Output
            }], openChange: [{
                type: Output
            }], menu: [{
                type: ViewChild,
                args: [TemplateRef]
            }] } });

class UserMenuModule {
}
UserMenuModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
UserMenuModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: UserMenuModule, declarations: [UserMenuComponent, UserMenuAvatarComponent, UserMenuHeaderComponent], imports: [CommonModule,
        DrawerHeaderModule,
        InfoListItemModule,
        OverlayModule,
        MatBottomSheetModule,
        MatCardModule,
        MatToolbarModule], exports: [UserMenuComponent, UserMenuAvatarComponent, UserMenuHeaderComponent] });
UserMenuModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuModule, imports: [CommonModule,
        DrawerHeaderModule,
        InfoListItemModule,
        OverlayModule,
        MatBottomSheetModule,
        MatCardModule,
        MatToolbarModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: UserMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [UserMenuComponent, UserMenuAvatarComponent, UserMenuHeaderComponent],
                    imports: [
                        CommonModule,
                        DrawerHeaderModule,
                        InfoListItemModule,
                        OverlayModule,
                        MatBottomSheetModule,
                        MatCardModule,
                        MatToolbarModule,
                    ],
                    exports: [UserMenuComponent, UserMenuAvatarComponent, UserMenuHeaderComponent],
                }]
        }] });

/**
 * [MobileStepper Component](https://brightlayer-ui-components.github.io/angular/?path=/info/components-mobile-stepper--readme)
 *
 * The <MobileStepper> is used to minimally display progress when completing a workflow that requires multiple steps.
 *  There are three types of progress indicators supported, dots (default), text, and progress.
 */
class MobileStepperComponent {
    constructor() {
        /** Which type of indicator to use. Can be 'dots' | 'text' | 'progress'.
         *
         * `dots` - Each step appears as a dot. Visited steps will appear as a different color.
         *
         * `text` -  Text indicator which shows current step and total steps.  Example: "Step 1/5"
         *
         * `progress` - Appears as a progress bar that fills the further along as user is in the workflow.
         *
         * @default dots
         * */
        this.variant = 'dots';
        this.stepsArray = [];
    }
    ngOnChanges() {
        requireInput(['steps', 'activeStep'], this);
        this.stepsArray = Array(this.steps)
            .fill(0)
            .map((i) => i);
    }
    /** This is only used for progress variant. */
    getProgressFill() {
        return this.activeStep === 0 ? 0 : (this.activeStep / (this.stepsArray.length - 1)) * 100;
    }
}
MobileStepperComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
MobileStepperComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: MobileStepperComponent, selector: "blui-mobile-stepper", inputs: { activeStep: "activeStep", steps: "steps", variant: "variant" }, host: { classAttribute: "blui-mobile-stepper" }, usesOnChanges: true, ngImport: i0, template: "<div class=\"blui-mobile-stepper-content\">\n    <div class=\"blui-mobile-stepper-back-button-wrapper\">\n        <ng-content select=\"[blui-back-button]\"></ng-content>\n    </div>\n    <div *ngIf=\"variant === 'dots'\" class=\"blui-mobile-stepper-dots\">\n        <div\n            *ngFor=\"let step of stepsArray; let index = index\"\n            class=\"blui-mobile-stepper-dot\"\n            [class.blui-mobile-stepper-dot-visited]=\"index < activeStep\"\n            [class.blui-mobile-stepper-dot-active]=\"index === activeStep\"\n            [class.blui-mobile-stepper-dot-unvisited]=\"index > activeStep\"\n        ></div>\n    </div>\n    <div *ngIf=\"variant === 'text'\" class=\"mat-subheading-2\">{{ activeStep + 1 }} / {{ stepsArray.length }}</div>\n    <mat-progress-bar *ngIf=\"variant === 'progress'\" mode=\"determinate\" [value]=\"getProgressFill()\"></mat-progress-bar>\n\n    <div class=\"blui-mobile-stepper-next-button-wrapper\">\n        <ng-content select=\"[blui-next-button]\"></ng-content>\n    </div>\n</div>\n", styles: [".blui-mobile-stepper{display:flex;width:100%}.blui-mobile-stepper-content{display:flex;justify-content:space-between;align-items:center;flex-grow:1}.blui-mobile-stepper-content button{margin:1rem 16px}.blui-mobile-stepper-dots{display:flex;flex-direction:row}.blui-mobile-stepper-dot{height:.5rem;width:.5rem;background-color:gray;border-radius:100%;margin:0 .25rem}.blui-mobile-stepper-dot-active{background-color:#00f}.blui-mobile-stepper-display-none{display:none}.blui-mobile-stepper-next-button-wrapper,.blui-mobile-stepper-back-button-wrapper{display:flex;flex:1}.blui-mobile-stepper-next-button-wrapper{justify-content:flex-end}.blui-mobile-stepper-back-button-wrapper{justify-content:flex-start}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$5.MatProgressBar, selector: "mat-progress-bar", inputs: ["color", "value", "bufferValue", "mode"], outputs: ["animationEnd"], exportAs: ["matProgressBar"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-mobile-stepper', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, host: {
                        class: 'blui-mobile-stepper',
                    }, template: "<div class=\"blui-mobile-stepper-content\">\n    <div class=\"blui-mobile-stepper-back-button-wrapper\">\n        <ng-content select=\"[blui-back-button]\"></ng-content>\n    </div>\n    <div *ngIf=\"variant === 'dots'\" class=\"blui-mobile-stepper-dots\">\n        <div\n            *ngFor=\"let step of stepsArray; let index = index\"\n            class=\"blui-mobile-stepper-dot\"\n            [class.blui-mobile-stepper-dot-visited]=\"index < activeStep\"\n            [class.blui-mobile-stepper-dot-active]=\"index === activeStep\"\n            [class.blui-mobile-stepper-dot-unvisited]=\"index > activeStep\"\n        ></div>\n    </div>\n    <div *ngIf=\"variant === 'text'\" class=\"mat-subheading-2\">{{ activeStep + 1 }} / {{ stepsArray.length }}</div>\n    <mat-progress-bar *ngIf=\"variant === 'progress'\" mode=\"determinate\" [value]=\"getProgressFill()\"></mat-progress-bar>\n\n    <div class=\"blui-mobile-stepper-next-button-wrapper\">\n        <ng-content select=\"[blui-next-button]\"></ng-content>\n    </div>\n</div>\n", styles: [".blui-mobile-stepper{display:flex;width:100%}.blui-mobile-stepper-content{display:flex;justify-content:space-between;align-items:center;flex-grow:1}.blui-mobile-stepper-content button{margin:1rem 16px}.blui-mobile-stepper-dots{display:flex;flex-direction:row}.blui-mobile-stepper-dot{height:.5rem;width:.5rem;background-color:gray;border-radius:100%;margin:0 .25rem}.blui-mobile-stepper-dot-active{background-color:#00f}.blui-mobile-stepper-display-none{display:none}.blui-mobile-stepper-next-button-wrapper,.blui-mobile-stepper-back-button-wrapper{display:flex;flex:1}.blui-mobile-stepper-next-button-wrapper{justify-content:flex-end}.blui-mobile-stepper-back-button-wrapper{justify-content:flex-start}\n"] }]
        }], propDecorators: { activeStep: [{
                type: Input
            }], steps: [{
                type: Input
            }], variant: [{
                type: Input
            }] } });

class MobileStepperModule {
}
MobileStepperModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
MobileStepperModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperModule, declarations: [MobileStepperComponent], imports: [CommonModule, MatButtonModule, MatProgressBarModule], exports: [MobileStepperComponent] });
MobileStepperModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperModule, imports: [CommonModule, MatButtonModule, MatProgressBarModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: MobileStepperModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [MobileStepperComponent],
                    imports: [CommonModule, MatButtonModule, MatProgressBarModule],
                    exports: [MobileStepperComponent],
                }]
        }] });

/*
 * Public API Surface of dot stepper
 */

/**
 * [ToolbarMenu Component]()
 *
 * The `<blui-toolbar-menu>` component is used to display a menu within a toolbar.
 */
class ToolbarMenuComponent {
}
ToolbarMenuComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ToolbarMenuComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.10", type: ToolbarMenuComponent, selector: "blui-toolbar-menu", inputs: { label: "label" }, host: { classAttribute: "blui-toolbar-menu" }, viewQueries: [{ propertyName: "menuTrigger", first: true, predicate: ["menuTrigger"], descendants: true }], ngImport: i0, template: `
        <div class="blui-toolbar-icon-wrapper">
            <ng-content select="[blui-icon]"></ng-content>
        </div>
        <div [matMenuTriggerFor]="toolbarMenu" #menuTrigger="matMenuTrigger" class="blui-toolbar-menu-trigger">
            <div class="blui-toolbar-menu-label mat-body-1">{{ label }}</div>
            <mat-icon class="blui-toolbar-menu-toggle-icon" [class.blui-rotated-dropdown-arrow]="menuTrigger.menuOpen"
                >arrow_drop_down</mat-icon
            >
        </div>
        <mat-menu #toolbarMenu="matMenu" [overlapTrigger]="false" class="blui-toolbar-menu-menu-wrapper">
            <ng-content select="[blui-toolbar-menu-items]"></ng-content>
        </mat-menu>
    `, isInline: true, styles: ["[dir=rtl] .blui-toolbar-menu .mat-icon{margin-left:8px;margin-right:0}.blui-toolbar-menu{display:flex;align-items:center}.blui-toolbar-menu .blui-toolbar-menu-toggle-icon{transition:transform .25s}.blui-toolbar-menu .blui-rotated-dropdown-arrow{transform:rotate(180deg)}.blui-toolbar-menu .blui-toolbar-menu-trigger{display:flex;align-items:center;cursor:pointer}.blui-toolbar-menu .blui-toolbar-icon-wrapper{display:flex;align-items:center}.blui-toolbar-menu .blui-toolbar-menu-label{line-height:inherit}.blui-toolbar-menu .blui-toolbar-icon-wrapper .mat-icon{font-size:1rem;width:1rem;height:1rem;margin-right:8px}\n"], dependencies: [{ kind: "component", type: i2$1.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i2$6.MatMenu, selector: "mat-menu", exportAs: ["matMenu"] }, { kind: "directive", type: i2$6.MatMenuTrigger, selector: "[mat-menu-trigger-for], [matMenuTriggerFor]", exportAs: ["matMenuTrigger"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-toolbar-menu', encapsulation: ViewEncapsulation.None, template: `
        <div class="blui-toolbar-icon-wrapper">
            <ng-content select="[blui-icon]"></ng-content>
        </div>
        <div [matMenuTriggerFor]="toolbarMenu" #menuTrigger="matMenuTrigger" class="blui-toolbar-menu-trigger">
            <div class="blui-toolbar-menu-label mat-body-1">{{ label }}</div>
            <mat-icon class="blui-toolbar-menu-toggle-icon" [class.blui-rotated-dropdown-arrow]="menuTrigger.menuOpen"
                >arrow_drop_down</mat-icon
            >
        </div>
        <mat-menu #toolbarMenu="matMenu" [overlapTrigger]="false" class="blui-toolbar-menu-menu-wrapper">
            <ng-content select="[blui-toolbar-menu-items]"></ng-content>
        </mat-menu>
    `, host: {
                        class: 'blui-toolbar-menu',
                    }, styles: ["[dir=rtl] .blui-toolbar-menu .mat-icon{margin-left:8px;margin-right:0}.blui-toolbar-menu{display:flex;align-items:center}.blui-toolbar-menu .blui-toolbar-menu-toggle-icon{transition:transform .25s}.blui-toolbar-menu .blui-rotated-dropdown-arrow{transform:rotate(180deg)}.blui-toolbar-menu .blui-toolbar-menu-trigger{display:flex;align-items:center;cursor:pointer}.blui-toolbar-menu .blui-toolbar-icon-wrapper{display:flex;align-items:center}.blui-toolbar-menu .blui-toolbar-menu-label{line-height:inherit}.blui-toolbar-menu .blui-toolbar-icon-wrapper .mat-icon{font-size:1rem;width:1rem;height:1rem;margin-right:8px}\n"] }]
        }], propDecorators: { label: [{
                type: Input
            }], menuTrigger: [{
                type: ViewChild,
                args: ['menuTrigger']
            }] } });

class ToolbarMenuModule {
}
ToolbarMenuModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ToolbarMenuModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuModule, declarations: [ToolbarMenuComponent], imports: [CommonModule, MatToolbarModule, MatSelectModule, MatFormFieldModule, MatIconModule, MatMenuModule], exports: [ToolbarMenuComponent] });
ToolbarMenuModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuModule, imports: [CommonModule, MatToolbarModule, MatSelectModule, MatFormFieldModule, MatIconModule, MatMenuModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.10", ngImport: i0, type: ToolbarMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ToolbarMenuComponent],
                    imports: [CommonModule, MatToolbarModule, MatSelectModule, MatFormFieldModule, MatIconModule, MatMenuModule],
                    exports: [ToolbarMenuComponent],
                }]
        }] });

/**
 Copyright (c) 2021-present, Eaton

 All rights reserved.

 This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
 **/

/**
 * Generated bundle index. Do not edit.
 */

export { AppBarComponent, AppBarModule, ChannelValueComponent, ChannelValueModule, DrawerBodyComponent, DrawerBodyModule, DrawerComponent, DrawerFooterComponent, DrawerFooterModule, DrawerHeaderComponent, DrawerHeaderModule, DrawerLayoutComponent, DrawerLayoutModule, DrawerModule, DrawerNavGroupComponent, DrawerNavGroupModule, DrawerNavItemComponent, DrawerNavItemModule, DrawerSubheaderComponent, DrawerSubheaderModule, EmptyStateComponent, EmptyStateModule, HeroBannerComponent, HeroComponent, HeroModule, InfoListItemComponent, InfoListItemModule, ListItemTagComponent, ListItemTagModule, MobileStepperComponent, MobileStepperModule, ScoreCardComponent, ScoreCardModule, SpacerComponent, SpacerModule, ThreeLinerComponent, ThreeLinerModule, ToolbarMenuComponent, ToolbarMenuModule, UserMenuAvatarComponent, UserMenuComponent, UserMenuHeaderComponent, UserMenuModule };
//# sourceMappingURL=brightlayer-ui-angular-components.mjs.map
